<?php

class aktualita {

protected $id;
protected $modifikace;
protected $expirace;
protected $nazev;
protected $nazev_en;
protected $obsah;
protected $obsah_en;
protected $vytvoril;
protected $povolena;
protected $datum;
protected $perex;
protected $perex_en;
protected $rss;

public function __construct($id, $modifikace, $nazev,
	$nazev_en, $obsah, $obsah_en, $vytvoril, $povolena, $datum, $perex,
	$perex_en, $rss) 
{

	$this->id = $id;
	$this->modifikace = $modifikace;
	$this->nazev = $nazev;
	$this->nazev_en = $nazev_en;
	$this->obsah = $obsah;
	$this->obsah_en = $obsah_en;
	$this->vytvoril = $vytvoril;
	$this->povolena = $povolena;
	$this->datum = $datum;
	$this->perex = $perex;
	$this->perex_en = $perex_en;
	$this->rss = $rss;
}

private static function fromDbConstructor($row) 
{
	$aktualita = new aktualita(
		getInt($row['aktualita_id']),
		$row['modifikace'],
		$row['nazev'],
		$row['nazev_en'],
		$row['obsah'],
		$row['obsah_en'],
		$row['vytvoril'],
		getBool($row['povolena']),
		$row['datum'],
		$row['perex'],
		$row['perex_en'],
		getBool($row['rss']));

	return $aktualita;
}

public static function getPublicAktualita($id)
{
	$query = "SELECT * FROM aktuality".
		" WHERE povolena='t' AND aktualita_id = '$id'";
	$result = pg_query($query);

	if (pg_num_rows($result) == 1) {
		return self::fromDbConstructor(pg_fetch_array($result, NULL, PGSQL_ASSOC));
	}
	else {
		return null;
	}
}

public static function getPublicAktuality()
{
	$query = "SELECT * FROM aktuality".
		" WHERE povolena='t' ORDER BY datum DESC";
	$result = pg_query($query);

	$aktuality = array();

	while($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {

		$aktuality[] = self::fromDbConstructor($row);
	}

	return $aktuality;
}

public function show($lang, $spravci, $txt_vlozil) {

	if ($lang == 'en') {
		$nazev = $this->nazev_en;
		$obsah = $this->obsah_en;
	}
	else {
		$nazev = $this->nazev;
		$obsah = $this->obsah;
	}

	$datum = formatDate($this->datum);
	$spravce = $spravci["$this->vytvoril"]->getOdkaz();

	if ($lang == 'en' && $nazev == '') $nazev = "Avaiable in czech version only.";

	echo "<div class=\"aktualita_user\">\n";  
  echo "<div class=\"aktuality_datum\">$datum</div>\n";
  echo "<div class=\"aktuality_nadpis\">$nazev</div>\n";
  echo "<div class=\"aktualita_obsah\">$obsah</div>\n"; 
  echo "<div class=\"aktualita_vlozil\">$txt_vlozil: $spravce</div>\n";
  echo "</div><!-- aktualita user -->\n\n";	
}

}
