<?php

require_once("config.php");
require_once("configv2.php");
require_once("constants.php");
require_once("logging.php");
require_once("functionsv2.php");
require_once("uzivatel_class.php");

function htmlHeading($lang, $type, $title, $script)
{
	global $MY_URL, $MY_CHARSET, $HTML_CHARSET, 
		$FAVICON_ICON, $RSS_FILE, $RSS_FILE_EN, $I18N, $EIZ_AUTH,
		$DEFAULT, $ENABLE_ACCESS_TEST, $EIZ_AUTH_TXTAR, $ENABLE_BACKTOTOP_BUTTON,
		
		$HEADER_FILE, $DESIGN_VERSION, $FOOTER_FILE, $PORTAL_PAGE, $SFX_PAGE,
		
		$RSS_DETAIL_FILE, $RSS_DETAIL_FILE_EN;

	header("Content-Type: text/html; charset=$MY_CHARSET");

	echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
	echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">";
	echo "\n<html xmlns=\"http://www.w3.org/1999/xhtml\">\n";
	
	echo "<head>\n";


	if ($lang == "en") {
		/* if ($title === $DEFAULT) */ 
		include_once("$I18N/title_en_default.php");
		include_once("$I18N/title_en.php");
		$rev_lang = 'cs';
		$rss = $RSS_FILE_EN;
		$rss_detail = $RSS_DETAIL_FILE_EN;
	}
	else {
		/* if ($title === $DEFAULT) */ 
		include_once("$I18N/title_cs_default.php");
		include_once("$I18N/title_cs.php");
		$rev_lang = 'en';
		$rss = $RSS_FILE;
		$rss_detail = $RSS_DETAIL_FILE;
	}	


	if ($title === $DEFAULT) {
	  $title = $txt_title;
	}


	echo "<title>$title</title>";
	
	$prefix="../";
	
	echo "<meta http-equiv=\"Content-Type\" content=\"text/html; ";
	echo "charset=$HTML_CHARSET\" />\n";
	echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"default.css\" />\n";
	echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"global.css\" />\n";
	echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"$I18N/local.css\" />\n";
	echo "<link rel=\"shortcut icon\" href=\"/$FAVICON_ICON\" ";
	echo "type=\"image/x-icon\" />\n";
	echo "<link rel=\"alternate\" type=\"application/rss+xml\" ".
		"title=\"$txt_rss\" href=\"$rss\" />\n";
	echo "<link rel=\"alternate\" type=\"application/rss+xml\" ".
    "title=\"$txt_rss_detail\" href=\"$rss_detail\" />\n";

	// pro zpracovani emailu
	echo "<script src=\"jscripts/email.js\" type=\"text/javascript\"></script>\n";
	echo "<script src=\"jscripts/utility.js\" type=\"text/javascript\"></script>\n";
	echo "<script src=\"jscripts/lib.js\" type=\"text/javascript\"></script>\n";


	if ($type == $EIZ_AUTH_TXTAR) {
?>
<script language="javascript" type="text/javascript" src="jscripts/tiny_mce/tiny_mce.js"></script>
<script language="javascript" type="text/javascript">
tinyMCE.init({
	mode : "textareas",
		convert_newlines_to_brs : true

		/*
		theme : "advanced",	
		plugins : "advcolor",
		 */
		/* theme_advanced_text_colors : "FF00FF,FFFF00,000000", */

		/*
			theme_advanced_buttons1 : "bold,italic,strikethrough,separator,justifyleft,justifycenter,justifyright,separator,bullist,numlist,outdent,indent,separator,hr,separator,link,unlink,separator,sub,sup,charmap,separator,undo,redo,separator,image,advcolor",
		theme_advanced_buttons2 : "",
		theme_advanced_buttons3 : "",
		theme_advanced_toolbar_align : "left",
		theme_advanced_source_editor_width : "700",
		theme_advanced_source_editor_height : "500",
		 */		
/*
		theme_advanced_text_colors : "#000000,#0000FF,#00FFFF,#00FF00,#FFFF00,#FF0000,#FF00FF,#FFFFFF",*/
			/*
			convert_newlines_to_brs : true,
		content_css : "../kic_content.css",
		popups_css : "../kic_popups.css",
		editor_css : "../kic_editor.css",
		editor_deselector : "mceNoEditor",
		editor_selector : "mceEditor"*/
});
</script>

<?php

	}
	echo "<script src=\"jscripts/caller.js\" type=\"text/javascript\"></script>\n";
	echo "</head>\n\n<body onload=\"startupCaller()\">\n";

	if ($type == $EIZ_AUTH || $type == $EIZ_AUTH_TXTAR) {
?>

	<script type="text/javascript">
		var l1="ation",l2="ef",l3="loc",l4="hr";
		var h1=window[l3+l1][l4+l2],h2=h1.substring(3);
		if (h2.indexOf("p://")==0&&h1.indexOf("htt")==0) {
			var r="",s=[57,80,-81,100,85,73,-51,17,-18,13,23,37];
			for (var i=1;i<9;++i)
			{r+=String.fromCharCode(((s[i]&lt;13)?-s[i]-i:s[i]+i)+s[9+i%3]);}
			window[l3+l1][l4+l2] = r+h2.substring(4);
		}
	</script>

<?php
	}
	echo "\n<script src=\"jscripts/wz_tooltip.js\" type=\"text/javascript\"></script>\n";

	echo "\n<div class=\"content\">";

	if ($ENABLE_BACKTOTOP_BUTTON) echo "<a name=\"top\"></a>";

	if ($DESIGN_VERSION === 'd2') {	
		include_once("$I18N/$HEADER_FILE"."_$lang.php");
		include_once("$I18N/$HEADER_FILE"."_html_$lang.php");

		if (($type !== $PORTAL_PAGE && $ENABLE_SEARCH_EZDROJE_GLOBAL) ||
				($type === $PORTAL_PAGE && $SHOW_SEARCHBOX_AT_TOP) ||
		 		($type === $RESOURCES_PAGE && $ENABLE_SEARCH_EZDROJE)
				) {
			searchGenerate($txt_hledej, $txt_hledej_podrobne, $lang);
		}


		if ($ENABLE_ACCESS_TEST) accessCheckv2($lang);
 	}


}

/* ************************************************************************** */
/* ------------------------------ MENU -------------------------------------- */
/* ************************************************************************** */

function menuBreak() {
	echo "<div class=\"menu-item menu-break\"> </div>";
}

function displayShibLogin($lang, $skript) {

	global $I18N, $MY_SURL, $URL_PREFIX;

	if ($lang == "en") {
		include_once("eizlibs/$I18N/shibboleth_en_default.php");
		include_once("eizlibs/$I18N/shibboleth_en.php");
	}
	else {
		include_once("eizlibs/$I18N/shibboleth_cs_default.php");
		include_once("eizlibs/$I18N/shibboleth_cs.php");
	}


	$uzivatel = uzivatel::getShibAuth();


	if ($uzivatel == null) {

		$querystring="";
		foreach ($_GET as $key => $value) {
			$querystring .= "&".$key."=".$value;
		}

		if ($querystring !== "") {
			$querystring[0]="?";
		}

		echo "<span class=\"hidden\" id=\"shibboleth-login\">$txt_shib_login_napoveda</span>";
		echo "<div class=\"shibboleth shibboleth-login\" onmouseover=\"TagToTip('shibboleth-login')\" onmouseout=\"UnTip()\">\n";
		echo "<img src=\"images/shib-small.png\" alt=\"Shibboleth\" class=\"shibboleth shibboleth-login-img\" />\n";
		echo "<a href=\"".uzivatel::getLoginURL("${MY_SURL}${URL_PREFIX}/$skript$querystring")."\">$txt_shib_login</a>\n";
	}
	else {

		echo "<div class=\"shibboleth shibboleth-login shibboleth-login-logged\">\n";
		echo "<img src=\"images/shib-small.png\" alt=\"Shibboleth\" class=\"shibboleth shibboleth-login-img shibboleth-login-img-logged\" />\n";
		echo "$txt_shib_prihlasen <br />";
		echo "<span class=\"shib-user\">$uzivatel->display_name</span><br />";
		echo " (<a href=\"".$uzivatel->getLogoutURL("${MY_SURL}${URL_PREFIX}/$skript").
			"\">$txt_shib_logout</a>)\n";
	}
	
	echo "</div>\n";
}



function searchGenerate($desc, $advanced, $lang) 
{
	global $MY_URL, $SEARCH_FORM_SIMPLE, $INCLUDE_CUSTOM_SEARCHBOX,
		$RESOURCES_PAGE, $URL_PREFIX;

	if ($INCLUDE_CUSTOM_SEARCHBOX) {

		include_once("i18n/search_box_$lang.php");
	}
	else {

		echo "<div class=\"hledani_formular\">\n";
		echo "<form class=\"hledani_formular\" action=\"$URL_PREFIX/$RESOURCES_PAGE/hledej.php?lang=$lang\" method=\"$SEARCH_FORM_SIMPLE\">\n";

		echo "<div class=\"rozsirene-hledani\"><a href=\"$URL_PREFIX/$RESOURCES_PAGE/hledej_podrobne.php?lang=$lang\">$advanced</a></div>\n";
		echo "<div>";
		echo "\t<input class=\"form_area\" type=\"text\" size=\"16\" value=\"\" name=\"dotaz\"/>\n";
		echo "\t<input class=\"male_tlacitko\" type=\"submit\" name=\"\" value=\"$desc\" />\n";
		echo "</div>\n";
		echo "</form>\n";
		echo "</div>\n";
	}
}

function menuv2($lang, $script, $params, $type, $lock_param)
{
	
	global $IMG_DIR, $LOGO_ICON, $MY_URL, $MY_SURL, $ENABLE_RSS, 
		$ENABLE_ACCESS_TEST, $ENABLE_LANGUAGE_FLAGS, $ENABLE_FN_BRNO,
	 	$SHOW_RSS_ICON_IN_MENU, $EIZ_ERROR, $URL_PREFIX,	

		$BFACULTY, $BDOMAIN, $BTYPE,

		$I18N, $RSS_FILE, $RSS_FILE_EN,

		$SHOW_MENU_PORTAL_PAGE_ALWAYS,
		$SHOW_MENU_PORTAL_PAGE, $SHOW_MENU_AKTUALITY, $SHOW_MENU_ECASOPISY, 
	 	$SHOW_MENU_EKNIHY, $SHOW_MENU_METALIB, $SHOW_MENU_SFX, 
		$SHOW_MENU_VZDALENY_PRISTUP, $SHOW_MENU_PREHLED_ZDROJU, 
		$SHOW_MENU_NAPOVEDA, $SHOW_MENU_SLEDOVANI_ZMEN,

		$SHOW_MENU_SFX_PODROBNE, $SHOW_MENU_SFX_PRIKLADY, $SHOW_MENU_SFX_PODPORA,
		$SHOW_MENU_SFX_NAPOVEDA,

		$SHOW_MENU_VZDALENY_PRISTUP_VPN, $SHOW_MENU_VZDALENY_PRISTUP_PROXY, 
		$SHOW_MENU_VZDALENY_PRISTUP_EZPROXY, $SHOW_MENU_VZDALENY_PRISTUP_TEST,
		$SHOW_MENU_VZDALENY_PRISTUP_NEFUNGUJE, $SHOW_MENU_VZDALENY_PRISTUP_SHIB,

		$SHOW_MENU_ECASOPISY_PORTAL_MU, $SHOW_MENU_ECASOPISY_CITATIONLINKER, 
		$SHOW_MENU_ECASOPISY_DALSI,

		$SHOW_MENU_EZDROJE_ABECEDNE, $SHOW_MENU_EZDROJE_FAKULTY, 
		$SHOW_MENU_EZDROJE_UZITECNE_ODKAZY, $SHOW_MENU_EZDROJE_FREETRIALS, 
		$SHOW_MENU_EZDROJE_OBORY, $SHOW_MENU_EZDROJE_TYPY, $SHOW_MENU_EZDROJE_FREE,
		$SHOW_MENU_EZDROJE_SHIBBOLETH,

		$SHOW_MENU_METALIB_FAQ, $SHOW_MENU_METALIB_HOWTO,

		$SHOW_MENU_DISCOVERY,

		$PORTAL_PAGE, $RESOURCES_PAGE, $EJOURNALS_PAGE, $EBOOKS_PAGE, $METALIB_PAGE,
		$SFX_PAGE, $VZDALENY_PRISTUP_PAGE, $DISCOVERY_PAGE,

		$ENABLE_SEARCH_ECASOPISY, $ENABLE_SEARCH_EKNIHY, $ENABLE_SEARCH_EZDROJE,
		$ENABLE_SEARCH_EZDROJE_GLOBAL, $SHOW_SEARCHBOX_AT_TOP,

		$SHOW_MENU_ADMIN_LINK, 

		$ENABLE_SHIBBOLETH_AUTH, $ENABLE_SHIBBOLETH,

		$DESIGN_VERSION;



	if ($lang == "en") {
		include_once("eizlibs/$I18N/menu_en_default.php");
		include_once("eizlibs/$I18N/menu_en.php");
		$rev_lang = 'cs';
		$langicon = 'cesky.gif';
		$rss = $RSS_FILE_EN;
	}
	else {
		include_once("eizlibs/$I18N/menu_cs_default.php");
		include_once("eizlibs/$I18N/menu_cs.php");
		$rev_lang = 'en';
		$langicon = 'english.gif';
		$rss = $RSS_FILE;
	}		

	$prefix = "../";
	$browse_fac = getBrowseType($BFACULTY);
	$browse_dom = getBrowseType($BDOMAIN);
	$browse_typ = getBrowseType($BTYPE);


/*	
	if ($ENABLE_ACCESS_TEST) {
		accessCheck($lang);
	}
 */

	echo "<div class=\"menuv2\">\n";


	if ($DESIGN_VERSION === 'd1') {
		echo "<a href=\"$URL_PREFIX/?lang=$lang\"><img src=\"$IMG_DIR/$LOGO_ICON\"";
			echo	" alt=\"Logo $txt_univerzita\" class=\"logo\"/></a>\n";

		if ($ENABLE_ACCESS_TEST) {
			accessCheckv2($lang);
		}
	}

	if ($ENABLE_SHIBBOLETH && $ENABLE_SHIBBOLETH_AUTH) {
		displayShibLogin($lang, $script);
	}


	if ($DESIGN_VERSION === 'd1') {
		if (($type !== $PORTAL_PAGE && $ENABLE_SEARCH_EZDROJE_GLOBAL) ||
				($type === $PORTAL_PAGE && $SHOW_SEARCHBOX_AT_TOP) ||
		 		($type === $RESOURCES_PAGE && $ENABLE_SEARCH_EZDROJE)
				) {
			searchGenerate($txt_hledej, $txt_hledej_podrobne, $lang);
		}
	}


	echo "<div class=\"menu-nadpis menu-item\">".
		"<a href=\"$URL_PREFIX/?lang=$lang\">$txt_nadpisv2</a></div>\n";

	if ($type === $PORTAL_PAGE || $SHOW_MENU_PORTAL_PAGE_ALWAYS || 
			$type === $EIZ_ERROR) {

		// group aktuality
		echo "<div class=\"menuv2-group menu-item\">\n";
		if ($SHOW_MENU_AKTUALITY) {
			echo "<a href=\"$URL_PREFIX/aktuality.php?lang=$lang\">$txt_aktuality</a>\n";
		}
		echo "</div>\n";

		// group zdroje
		echo "<div class=\"menuv2-group menu-item\">\n";
		if ($SHOW_MENU_PREHLED_ZDROJU) {
			echo "<a href=\"$URL_PREFIX/$RESOURCES_PAGE/?lang=$lang\">".
				"$txt_prehled_zdroju</a>\n";
		}

		if ($SHOW_MENU_ECASOPISY) {
			echo "<a href=\"$URL_PREFIX/$EJOURNALS_PAGE/?lang=$lang\">".
				"$txt_ecasopisy</a>\n";
		}
		
		if ($SHOW_MENU_EKNIHY) {
			echo "<a href=\"$URL_PREFIX/$EBOOKS_PAGE/?lang=$lang\">".
				"$txt_eknihy</a>\n";
		}

		if ($SHOW_MENU_DISCOVERY) {
			 echo "<a href=\"$URL_PREFIX/$DISCOVERY_PAGE/?lang=$lang\">".
				 "$txt_discovery</a>\n";
		}

		if ($SHOW_MENU_METALIB) {
			echo "<a href=\"$URL_PREFIX/$METALIB_PAGE/?lang=$lang\">".
				"$txt_metalib</a>\n";
		}

		echo "</div>\n";

		// group sluzby
		if ($SHOW_MENU_METALIB || $SHOW_MENU_SFX || $SHOW_MENU_VZDALENY_PRISTUP) {
			echo "<div class=\"menuv2-group menu-item\">\n";
		

			if ($SHOW_MENU_SFX) {
				echo "<a href=\"$URL_PREFIX/$SFX_PAGE/?lang=$lang\">".
					"$txt_sfx</a>\n";
			}

			if ($SHOW_MENU_VZDALENY_PRISTUP) {
				echo "<a href=\"$URL_PREFIX/$VZDALENY_PRISTUP_PAGE/?lang=$lang\">".
					"$txt_vzdaleny_pristup</a>\n";
			}

			echo "</div>\n";
		}

		// group aktuality
		echo "<div class=\"menuv2-group menu-item\">\n";
		if ($SHOW_MENU_SLEDOVANI_ZMEN) {
			echo "<a href=\"$URL_PREFIX/sledovani_zmen.php?lang=$lang\">$txt_sledovani_zmen</a>\n";
		}
		echo "</div>\n";


	}



	if ($type === $EJOURNALS_PAGE) {
		echo "<div class=\"menu-podnadpis menu-item\">".
			"<a href=\"$URL_PREFIX/$EJOURNALS_PAGE/?lang=$lang\">$txt_ecasopisy</a></div>\n";

		echo "<div class=\"menuv2-group menu-item\">\n";
		
		if ($SHOW_MENU_ECASOPISY_PORTAL_MU) {
			echo "<a href=\"portalmu.php?lang=$lang\">$txt_ecasopisy_portalmu</a>\n";
		}

		if ($SHOW_MENU_ECASOPISY_CITATIONLINKER) {
			echo "<a href=\"citationlinker.php?lang=$lang\">$txt_ecasopisy_citationlinker</a>\n";
		}

		if ($SHOW_MENU_ECASOPISY_DALSI) {
			echo "<a href=\"sfx.php?lang=$lang\">$txt_ecasopisy_dalsi</a>\n";
		}
		
		echo "</div>\n";
	}

	if ($type === $DISCOVERY_PAGE) {

		/*
		echo "<div class=\"menu-podnadpis menu-item\">".
			"<a href=\"$URL_PREFIX/$DISCOVERY_PAGE/?lang=$lang\">$txt_discovery</a></div>\n";	

		echo "<div class=\"menuv2-group menu-item\">\n";	
		

		echo "</div>\n";

		 */
	}

	if ($type === $METALIB_PAGE) {

		echo "<div class=\"menu-podnadpis menu-item\">".
			"<a href=\"$URL_PREFIX/$METALIB_PAGE/?lang=$lang\">$txt_metalib</a></div>\n";	

		echo "<div class=\"menuv2-group menu-item\">\n";	
		
		if ($SHOW_MENU_METALIB_FAQ) {
			echo "<a href=\"faq.php?lang=$lang\">$txt_metalib_faq</a>\n";
		}
		
		if ($SHOW_MENU_METALIB_HOWTO) {
			echo "<a href=\"info.php?lang=$lang\">$txt_metalib_howto</a>\n";
		}

		echo "</div>\n";

	}

	if ($type === $SFX_PAGE) {

		echo "<div class=\"menu-podnadpis menu-item\">".
			"<a href=\"$URL_PREFIX/$SFX_PAGE/?lang=$lang\">$txt_sfx</a></div>\n";

		echo "<div class=\"menuv2-group menu-item\">\n";
		
		if ($SHOW_MENU_SFX_NAPOVEDA) {
			echo "<a href=\"napoveda.php?lang=$lang\">$txt_sfx_napoveda</a>\n";
		}
	
		if ($SHOW_MENU_SFX_PODROBNE) {
			echo "<a href=\"podrobne.php?lang=$lang\">$txt_sfx_podrobne</a>\n";
		}

		if ($SHOW_MENU_SFX_PODPORA) {
			echo "<a href=\"podpora.php?lang=$lang\">$txt_sfx_podpora</a>\n";
		}

		if ($SHOW_MENU_SFX_PRIKLADY) {
			echo "<a href=\"priklady.php?lang=$lang\">$txt_sfx_priklady</a>\n";
		}


		echo "</div>\n";
	}

	if ($type === $VZDALENY_PRISTUP_PAGE) {

		echo "<div class=\"menu-podnadpis menu-item\">".
			"<a href=\"$URL_PREFIX/$VZDALENY_PRISTUP_PAGE/?lang=$lang\">$txt_vzdaleny_pristup</a></div>\n";

		echo "<div class=\"menuv2-group menu-item\">\n";
		
		if ($SHOW_MENU_VZDALENY_PRISTUP_VPN) {
			echo "<a href=\"vpn.php?lang=$lang\">$txt_vzdaleny_pristup_vpn</a>\n";
		}

		if ($SHOW_MENU_VZDALENY_PRISTUP_PROXY) {
			echo "<a href=\"proxy.php?lang=$lang\">$txt_vzdaleny_pristup_proxy</a>\n";
		}

		if ($SHOW_MENU_VZDALENY_PRISTUP_EZPROXY) {
			echo "<a href=\"ezproxy.php?lang=$lang\">$txt_vzdaleny_pristup_ezproxy</a>\n";
		}

		if ($SHOW_MENU_VZDALENY_PRISTUP_SHIB) {
			echo "<a href=\"shibboleth.php?lang=$lang\">$txt_vzdaleny_pristup_shibboleth</a>\n";
		}

		if ($ENABLE_FN_BRNO) {
			echo "<a href=\"pristup_z_FNB.php?lang=$lang\">$txt_vzdaleny_pristup_fnb</a>\n";
		}

		echo "</div>\n";

		echo "<div class=\"menuv2-group menu-item\">\n";

		if ($SHOW_MENU_VZDALENY_PRISTUP_TEST) {
			echo "<a href=\"test_pristupu.php?lang=$lang\">$txt_vzdaleny_pristup_test</a>\n";
		}

		if ($SHOW_MENU_VZDALENY_PRISTUP_NEFUNGUJE) {
			echo "<a href=\"nefunkcni_pristup.php?lang=$lang\">$txt_vzdaleny_pristup_nefunguje</a>\n";
		}

		echo "</div>\n";
	}



	if ($type === $RESOURCES_PAGE) {

		echo "<div class=\"menu-podnadpis menu-item\">".
			"<a href=\"$URL_PREFIX/$RESOURCES_PAGE/?lang=$lang\">$txt_prehled_zdroju</a></div>\n";

		echo "<div class=\"menuv2-group menu-item\">\n";

		echo "<div class=\"podpodmenu\">\n";
		echo "<div class=\"podpodmenu_nadpisv2\">$txt_ezdroje_trideni_dle:</div>\n";		
	
		if ($SHOW_MENU_EZDROJE_ABECEDNE) {
			echo "<a href=\"abecedne.php?lang=$lang\">&ndash; $txt_ezdroje_abecedne</a>\n";
		}
		
		if ($SHOW_MENU_EZDROJE_FAKULTY) {
			echo "<a href=\"fakulty2.php?lang=$lang\">&ndash; $txt_ezdroje_fakulty</a>\n";
		}
		if ($SHOW_MENU_EZDROJE_OBORY) {
			echo "<a href=\"obory2.php?lang=$lang\">&ndash; $txt_ezdroje_obory</a>\n";
		}
		if ($SHOW_MENU_EZDROJE_TYPY) {
			echo "<a href=\"typy2.php?lang=$lang\">&ndash; $txt_ezdroje_typy</a>\n";
		}
		echo "\t</div><!-- podpodmenu -->\n";

		if ($SHOW_MENU_EZDROJE_SHIBBOLETH) {
			echo "<a href=\"shibboleth.php?lang=$lang\">$txt_ezdroje_shibboleth</a>\n";
		}

		if ($SHOW_MENU_EZDROJE_FREETRIALS) {
			echo "<a href=\"freetrials.php?lang=$lang\">$txt_ezdroje_freetrials</a>\n";
		}
		if ($SHOW_MENU_EZDROJE_FREE) {
			echo "<a href=\"free.php?lang=$lang\">$txt_ezdroje_free</a>\n";
		}


		if ($SHOW_MENU_EZDROJE_UZITECNE_ODKAZY) {
			echo "<a href=\"odkazy.php?lang=$lang\">$txt_ezdroje_uzitecne_odkazy</a>\n";
		}


		echo "</div>\n";
	}
		

	
	menuBreak();

	echo "<div class=\"menuv2-group menu-item\">\n";
	echo "<a href=\"$URL_PREFIX/kontakt.php?";
	echo "lang=$lang\">$txt_kontakt</a>\n";
	echo "</div>\n";

	menuBreak();
	menuBreak();

	echo "<div class=\"menuv2-group menu-item\">\n";	
	echo "<a href=\"$script?lang=$rev_lang$params\">$txt_verze";
		if ($ENABLE_LANGUAGE_FLAGS) {
			echo "<img class=\"vlajka\"".
				"src=\"$IMG_DIR/$langicon\" alt=\"$txt_verze\" />";
		}
		echo "</a>\n";
	echo "</div>\n";


	menuBreak();
	menuBreak();
	menuBreak();
	
	// group napoveda
	if ($SHOW_MENU_NAPOVEDA) {
		echo "<div class=\"menuv2-group menu-item\">\n";
		echo "<a href=\"$URL_PREFIX/napoveda.php?lang=$lang\" target=\"_blank\">".
			"$txt_napoveda</a>\n";
		echo "</div>\n";
	}

	menuBreak();
	menuBreak();
	menuBreak();
	menuBreak();

	if ($SHOW_MENU_ADMIN_LINK) {
		echo "<div class=\"menuv2-group menu-item menu-admin\">\n";
		echo "<a href=\"${MY_SURL}${URL_PREFIX}/auth\" target=\"_blank\">".
			"Admin</a>\n";
		echo "</div>\n";
	}

	menuBreak();
	menuBreak();

	if ($ENABLE_RSS && $SHOW_RSS_ICON_IN_MENU) {
		echo "<a href=\"$rss\" class=\"rss\"><img src=\"$IMG_DIR/rss.gif\" alt=\"RSS 2.0\" /></a>\n";
	}

	include_once("$I18N/menu_include_$lang.php");

	echo "</div><!-- menu -->\n";
}

function myMain($lang, $type)
{
	global $I18N, $HEADER_FILE, $DESIGN_VERSION;

	include_once("$I18N/$HEADER_FILE"."_$lang.php");

	echo "<div class=\"main\">\n\n";

	echo "<div class=\"header\">$txt_header_titulek</div>\n";

	blank(); 

	echo "<div class=\"window\">\n";

}

function myMainEnd() {
	echo "</div><!-- window -->\n</div><!-- main -->";
}
	


function htmlEnd($lang = 'none') {

	global $I18N, $ENABLE_BACKTOTOP_BUTTON;

	echo "</div> <!-- content -->\n";

?>

<?php include_once("eizlibs/$I18N/include.php"); ?>


<?php
 
	if ($ENABLE_BACKTOTOP_BUTTON && $lang != 'none') { 

	if ($lang == 'en') {
		include_once("eizlibs/$I18N/tlacitka_en_default.php");
		include_once("eizlibs/$I18N/tlacitka_en.php");
	}
	else {
		include_once("eizlibs/$I18N/tlacitka_cs_default.php");
		include_once("eizlibs/$I18N/tlacitka_cs.php"); 
	}

?>

<span id="backtotop" style="position:fixed;bottom:5px;right:5px">
<a href="#top"><?php echo $txt_backtotop_button ?></a></span>

<?php
}

	echo "</body>\n</html>\n";
}

function footerv2($timestamp, $lang)
{
	global $DATE_TIME_STR, $ADMIN_MAIL, $I18N;


	// dodelat
	$datum = date($DATE_TIME_STR, $timestamp);
	if ($lang == "en") {
		include_once("eizlibs/$I18N/zapati_en_default.php");
		include_once("eizlibs/$I18N/zapati_en.php");
	}
	else {
		include_once("eizlibs/$I18N/zapati_cs_default.php");
		include_once("eizlibs/$I18N/zapati_cs.php");
	}	

	echo "\n<div class=\"footer_blank\">&nbsp;</div>\n";
	echo "<div class=\"footer\">\n";

	echo "<table class=\"margfooter\">\n";
	echo "\t<tr>\n\t\t<td class=\"lastmodified\">";
	echo " $txt_zapati_vlevo</td>\n";

	echo "\t\t<td class=\"webmaster\">";
	if ($txt_zapati_vpravo == "") {
		echo getEmail($ADMIN_MAIL);
	}
	else {
		echo $txt_zapati_vpravo;
	}
	echo "</td>\n\t</tr>\n";

	echo "</table>\n";
	
	echo "</div><!-- footer -->\n";
	echo "<div class=\"footer_pad\">&nbsp;</div>\n";
}

function printUserLegendv2($lang)
{
	global $IMG_DIR, $I18N,
		
		$DSG_IMG_ICON_FREE_SOURCE, $DSG_IMG_ICON_LICENCED_SOURCE, 
		$DSG_IMG_ICON_FREETRIAL_SOURCE, $DSG_IMG_ICON_USEFUL_SOURCE, 
		$DSG_IMG_ICON_META_SOURCE, $DSG_IMG_ICON_NONACTIVE, 
		$DSG_IMG_ICON_EXPIRED_SOURCE, $DSG_IMG_ICON_LOCKED_SOURCE;


	if ($lang == 'en') {
		include("eizlibs/$I18N/ikony_popis_en_default.php");
		include("eizlibs/$I18N/ikony_popis_en.php");
	}
	else {
		include("eizlibs/$I18N/ikony_popis_cs_default.php");
		include("eizlibs/$I18N/ikony_popis_cs.php");
	}	
		
	echo "\n<div class=\"legenda\">";
	echo "\n\t<span class=\"legenda_nadpis\">$txt_ikony_legenda</span>";
	echo "\n\t<span class=\"legenda_polozka\">";
	echo "<img src=\"$IMG_DIR/$DSG_IMG_ICON_LICENCED_SOURCE\"". 
		" alt=\"$txt_ikona_licencovany\" />".
		"&nbsp;&ndash;&nbsp;$txt_ikona_licencovany</span>";
	echo "\n\t<span class=\"legenda_polozka\">";
	echo "<img src=\"$IMG_DIR/$DSG_IMG_ICON_META_SOURCE\"".
	 	"	alt=\"$txt_ikona_metazdroj\" />".
		"&nbsp;&ndash;&nbsp;$txt_ikona_metazdroj</span>";
	echo "\n\t<span class=\"legenda_polozka\">";
	echo "<img src=\"$IMG_DIR/$DSG_IMG_ICON_FREETRIAL_SOURCE\"". 
		" alt=\"$txt_ikona_freetrial\" />".
		"&nbsp;&ndash;&nbsp;$txt_ikona_freetrial</span>";

	if ($DSG_IMG_ICON_FREE_SOURCE != $DSG_IMG_ICON_LICENCED_SOURCE) {
		echo "\n\t<span class=\"legenda_polozka\">";
		echo "<img src=\"$IMG_DIR/$DSG_IMG_ICON_FREE_SOURCE\"".
			" alt=\"$txt_ikona_free\" />".
			"&nbsp;&ndash;&nbsp;$txt_ikona_free</span>";
	}

	echo "\n</div><!-- legenda -->\n";
}



?>
