<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");
require_once("../eizlibs/classes.php");
require_once("eizlibs/spravce_class.php");
require_once("eizlibs/fakulta_class.php");

$om = setLogging($DISPLAY_ERRORS);

// **************************************************************************
// stranka

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

$userinfo = check_rights($user, null, $RGHT_IS_ADMIN, 0, $_SERVER['PHP_SELF']);


$fakulty = fakulta::getFakulty('cs', false, 'fakulta_id');


// ************************************************************************
// navigacni lista
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;

// ****************************************************************************
// layout

html_heading($lang, $EIZ_AUTH);

menu($lang, $THIS_SCRIPT, "", $EIZ_AUTH, "");

my_main($lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<div class=\"obsah\">\n";

echo "<table class=\"ramecek rss\">\n";

echo "<tr><td colspan=\"2\" class=\"odsazeni\" style=\"background-color: #DDDDDD\"><a class=\"button\" href=\"edit_fakulta.php\">Přidat novou fakultu</a></td></tr>\n";

foreach($fakulty as $fakulta) {

	$loc_shib_id = $fakulta->shib_id != '' ? $fakulta->shib_id : 
		"<span class=\"nevyplnen\">nevyplněno</span>";	
	$nazev = urlencode($fakulta->nazev);

	echo "<tr>";
	echo "<td class=\"ramecek odsazeni\" style=\"font-size: 9pt\">";
	echo "<b>ID:</b> $fakulta->fakulta_id<br />";
	echo "<b>Zkratka:</b> $fakulta->zkratka<br />";
	echo "<b>Shib ID:</b> $fakulta->shib_id<br />";
	echo "<b>Název:</b> '$fakulta->nazev' | ";
	echo "'$fakulta->nazev_en'<br />";
	echo "</td>\n";
	echo "<td class=\"ramecek odsazeni\" style=\"background-color: #DDDDDD\" >";
	echo "<a class=\"button margins0\" href=\"edit_fakulta.php?id=$fakulta->fakulta_id\">Editovat</a>";
	echo "<a class=\"button margins0\" href=\"smazat_ano_ne.php?id=$fakulta->fakulta_id&zkratka=$nazev&typ=$FACULTY\">Smazat</a>";
	echo "</td></tr>\n";

}
echo "</table>";


echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>
	

