<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");
require_once("../eizlibs/classes.php");
require_once("eizlibs/spravce_class.php");
require_once("eizlibs/fakulta_class.php");

$om = setLogging($DISPLAY_ERRORS);

// **************************************************************************
// stranka

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

$userinfo = check_rights($user, null, $RGHT_IS_ADMIN, 0, $_SERVER['PHP_SELF']);


$fakulty = fakulta::getFakulty('cs', false, 'fakulta_id');


// ************************************************************************
// navigacni lista
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;

// ****************************************************************************
// layout

html_heading($lang, $EIZ_AUTH);

menu($lang, $THIS_SCRIPT, "", $EIZ_AUTH, "");

my_main($lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<div class=\"obsah\">\n";

echo "<pre>";
echo "ID\tShibID\tNazev\n";

foreach($fakulty as $fakulta) {

	echo "$fakulta->fakulta_id\t$fakulta->shib_id\t$fakulta->nazev\n";
}
echo "</pre>";


echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>
	

