<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

$puvodni_note="";
$nove_note="";
$delka_note="";
if (issetGET("old_not_match")) $puvodni_note="Vámi zadané heslo nesouhlasí.";
if (issetGET("new_not_match")) $nove_note="Nové heslo nesouhlasí.";
if (issetGET("too_short")) $delka_note="Nové heslo je příliš krátké.";

// navigace
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;
$nav_bar[1]="Změna mého hesla";
$nav_ref[1]="heslo.php";

html_heading($lang, $EIZ_AUTH);

menu($lang, $THIS_SCRIPT, "", $EIZ_AUTH, "");

my_main($lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>Změna hesla uživatele \"$user\"</h1>\n\n";

echo "<div class=\"obsah\">\n\n";

echo "<form action=\"zpracuj_heslo.php\" method=\"post\">\n";

echo "<div class=\"formular_inside\">\n";

echo "<table class=\"formular\">";
passwd_form("Původní heslo:", "old_passwd", 12, $puvodni_note);
passwd_form("Nové heslo (min. 6 znaků):", "new_passwd", 12, $delka_note);
passwd_form("Nové heslo znovu:", "new_passwd_again", 12, $nove_note);
echo "</table><!-- formular -->\n";

echo "<div class=\"heslo_info\">Po změně hesla budete znovu vyzváni k ".
			"přihlášení s použitím nového (Vámi právě zadaného) hesla!</div>";
echo "\n</div><!-- formular_inside -->\n";

echo "<div class=\"horiz_menu\">\n";
tlacitko("Odeslat formulář", "submit", "");
tlacitko("Zpět na moji stránku", "submit", "zpet");
echo "</div><!-- horizon menu -->\n";

echo "</form>\n";

echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>

