<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");

$user = getUser();

$lang = "cs";

$id = stringEscape(getGET("id"));

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

$userinfo = getUserInfo($user, $_SERVER['PHP_SELF']);

$pid = getPid($userinfo);
$admin = getIsAdmin($userinfo);

$type = getGETPOST('typ');

$navigace = navigation::readNavigation($type);

if (($ret = force_unlock($pid, $id, $type, $THIS_SCRIPT, $admin)) == $UNLOCKED) {
	logit($user, $_SERVER['PHP_SELF'], "User $pid sucessfully unlock $type '$id'.", $LOG_ACT);
	header("Location: $navigace->skript?id=$id");
}	
else {
	if ($ret == $NOT_LOCK) {
		header("Location: $navigace->skript?id=$id");
		exit(0);
	}
	logit($pid, $skript, "Force unlock failed with ($ret).", $LOG_LCK);
	print_right_error_page($lang, $ret);	
}
?>
