<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");
require_once("../eizlibs/rss.php");
require_once("eizlibs/file_class.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

$id = stringEscape(getPOST("id"));

if (issetPOST("smaz_ne")) {
	$backparams = getPOST("backparams");
	$kam = "kniha.php?id=$id&unlock=$id";
	header("Location: $kam");
	exit(0);
}

$nazev = getPOST("zkratka");

connect_db();

$userinfo = check_rights($user, $SOURCE, $RGHT_DELETE, $id, 
	$_SERVER['PHP_SELF']);

if (is_locked($user, $id, $BOOK, $THIS_SCRIPT) != getPid($userinfo)) {
	  logit($user, $_SERVER['PHP_SELF'],"Book $id is not locked!".pg_last_error(), $LOG_LCK);
		print_error_page($lang);
		exit(0);
}
// smaz soubory prislusejici zdroji
if (! soubor::deleteFilesFor($id, $BOOK)) {
	logit($user, $_SERVER['PHP_SELF'],
		"Cannot delete files for book $id!", $LOG_ERR);
 	print_error_page($lang);
	exit(0);
}

/* staci smazat zdroj z tabulky zdroje -- smazani ve zbylych tabulkach provede
   databazovy server pres cizi klice */
$query = "DELETE FROM knihy WHERE kniha_id='$id'";
$result = pg_query($query);

/*
if ($ENABLE_RSS_BOOKS) {
	RSSDelItem($BOOK, $id);
}
 */

logit($user, $_SERVER['PHP_SELF'], "User sucessfully delete book '$nazev ($id)'.", 
			$LOG_ACT);
header("Location: index.php");

unsetLogging($DISPLAY_ERRORS, $om);
?>
