<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");
require_once("../eizlibs/file_class.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

$id = stringEscape(getPOST("id"));

connect_db();

$file = soubor::getFileById($id, $user, $THIS_SCRIPT);


if (issetPOST("smaz_ne")) {
	$kam = "edit_soubory.php?id=$file->objekt_id&typ=$file->objekt_typ";
	header("Location: $kam");
	exit(0);
}

$nazev = $file->jmeno;

$userinfo = check_rights($user, $file->objekt_typ, $RGHT_DELETE, $file->objekt_id, $_SERVER['PHP_SELF']);

if (is_locked($user, $id, $FILE, $THIS_SCRIPT) != getPid($userinfo)) {
	logit($user, $_SERVER['PHP_SELF'],"File $id is not locked!".pg_last_error(), $LOG_LCK);
	print_error_page($lang);
	exit(0);
}


$query = "DELETE FROM soubory WHERE soubor_id='$id'";
$result = pg_query($query);

if (! $result || ! unlink("$FILES_DIR/$id")) {
	print_error_page($lang);
	exit(0);
}

logit($user, $_SERVER['PHP_SELF'], "User sucessfully delete file '$nazev ($id) form $file->objekt_id:$file->objekt_typ'.",  $LOG_ACT);
header("Location: edit_soubory.php?id=$file->objekt_id&typ=$file->objekt_typ");

unsetLogging($DISPLAY_ERRORS, $om);
?>
