<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

// **************************************************************************
// nacti udaje
$query = "SELECT  titul_pred, jmeno, prijmeni, titul_za, email, pid".
					" FROM spravci WHERE login='$user'";
$result = pg_query($query);
db_one_row($result, $user, $_SERVER['PHP_SELF'], "User $user mismatch!", $lang);

$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);
$pid = $row['pid'];

$titul_pred = $row['titul_pred'] == null ? "" : $row['titul_pred'];

$jmeno="";
$jmeno_note="";
if (issetGET("jmeno")) $jmeno_note="Vyplňte prosím jméno!";
else $jmeno = $row['jmeno'];

$prijmeni="";
$prijmeni_note="";
if (issetGET("prijmeni")) $prijmeni_note="Vyplňte prosím jméno!";
else $prijmeni = $row['prijmeni'];

$titul_za = $row['titul_za'] == null ? "" : $row['titul_za'];
$email = $row['email'] == null ? "" : $row['email'];

// navigace
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;
$nav_bar[1]="Změna mých údajů";
$nav_ref[1]="udaje.php";


html_heading($lang, $EIZ_AUTH);

menu($lang, "$THIS_SCRIPT", "", $EIZ_AUTH, "");

my_main($lang, $lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>Změna údajů uživatele \"$user\"</h1>\n\n";

echo "<div class=\"obsah\">\n\n";

echo "<div class=\"formular_inside\">\n";

echo "<form action=\"zpracuj_udaje.php\" method=\"post\">\n";

echo "<table class=\"formular\">";
text_form("Titul před jménem:", $titul_pred, "titul_pred", 10, "");
text_form("Jméno:", $jmeno, "jmeno", 25, $jmeno_note);
text_form("Příjmení:", $prijmeni, "prijmeni", 25, $prijmeni_note);
text_form("Titul za jménem:", $titul_za, "titul_za", 10, "");
empty_form();
text_form("Email:", $email, "email", 25, "");
echo "</table><!-- formular -->\n";

if (issetGET("ok"))
	echo "\t<div class=\"ok_info\">Vložení údajů proběhlo úspěšně</div>\n";

echo "</div><!-- formular_inside -->\n";
	
echo "<div class=\"horiz_menu\">\n";
tlacitko("Odeslat formulář", "submit", "");
tlacitko("Původní hodnoty", "reset", "");
tlacitko("Zpět na moji stránku", "submit", "zpet");
echo "</div><!-- horizon menu -->\n";

echo "</form>\n";

echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>

