<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");


$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

$client = new SoapClient("http://serval.ruk.cuni.cz:18080/verde/soap/services/Eproduct?wsdl", array('trace' => 1));

$name = "krejcir";
$password = "bflmpsvz1";
$filter = "all";

//navigace
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;


html_heading($lang, $EIZ_AUTH);

menu($lang, "$THIS_SCRIPT", "", $EIZ_AUTH, "");

my_main($lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>Test Verde</h1>\n";

echo "<div class=\"obsah\">\n\n";

/*
echo "<pre>";

echo var_dump($client->__getTypes());

echo "\n";
echo var_dump($client->__getFunctions());
echo "</pre>";
 */

echo "Request <b>getEproductSummary</b> for Eproduct 'ProQuest Computing' with params (\"Verde_ID\", \"110994187838000\", \"1\", \"\", muj_login, moje_heslo, \"$filter\")";

echo "<br/><br/>\n";

try {
	echo "Returned data structure: <br/>";
	print_r($client->getEproductSummaryAsXML("Verde_ID", "CWE_1123334192156_613014", "UK", "", $name, $password, $filter));
}
catch (Exception $e) {
	echo $e->getMessage();
}

echo "<br/><br/>\n";

echo "<pre>";
echo "Request headers:\n";
echo $client->__getLastRequestHeaders(); 
//echo "\n\nReguest:\n";
//echo $client->__getLastRequest(); 

echo "\n\nResponse headers:\n";
echo $client->__getLastResponseHeaders(); 
echo "\n\nResponse:\n";
echo $client->__getLastResponse(); 
echo "</pre>";

echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);


?>
