<?php

require_once("eizlibs/db_connect.php");
require_once("eizlibs/functions.php");
require_once("eizlibs/rights.php");
require_once("eizlibs/object_class.php");

require_once('eizlibs/navigation_class.php');

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

$userinfo = check_rights($user, null, $RGHT_IS_ADMIN, 0, $_SERVER['PHP_SELF']);


// **************************************************************************
// dotazy

// podminka (dle tlacitek v horni liste)
$zdroje = zdroj::getAbecedne($lang);



// ************************************************************************
// navigacni lista
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;

// ****************************************************************************
// layout

html_heading($lang, $EIZ_AUTH);

menu($lang, $THIS_SCRIPT, $params, $EIZ_AUTH, "");

my_main($lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>Seznam zdrojů - nastavení SFX a Metalib</h1>\n\n";

echo "<div class=\"obsah\">\n";

generate_alphabet();
$char = ' ';

echo "<table class=\"common\" >\n";
echo "<th><tr><td class=\"tluste\">Zdroj</td><td class=\"tluste\">SFX</td><td class=\"tluste\">Metalib</td></tr></th>\n";
foreach ($zdroje as $zdroj) {
	if ($zdroj->kategorie == eizObjekt::KAT_LICENCOVANY) {
		echo "<tr><td><a href=\"zdroj.php?id=".$zdroj->id."\">";
		echo htmlEscape($zdroj->nazev);
		echo "</a></td><td>";
		if ($zdroj->linker_db != '') {
			echo "<span>";
			if ($zdroj->linker_db == '---') {
				echo "BIBLIO";
			}
			else {
				if ($zdroj->linker_automat) echo "AUTOMATIC";
				else echo "LOADED";
			}
			echo "</span>";
		}
		echo "</td><td>";
		$str = strtolower(trim($zdroj->vyhledavac_db));
		if ($str == 'error') {
			echo "<span style=\"background-color: red\">ERROR</span>";
		}
		else {
			if ($str != '') {
				echo "<span>ACTIVATED</span>";
			}
		}
		echo "</td></tr>\n";
	}
}

echo "</table>\n";


echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>
	

