<?php

require_once("eizlibs/db_connect.php");
require_once("eizlibs/functions.php");
require_once("eizlibs/logging.php");
require_once("eizlibs/rss.php");
require_once("eizlibs/rights.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

if (issetPOST("zpet")) {
	header("Location: aktuality.php");
	exit(0);
}


// nasledujici globalni promenne je potreba deklarovat kvuli volani checkForm
$bad="";
$add_query="";
checkForm("nazev");
checkForm("perex");

$id = getGET("id");
if ($id == null) $id = getPOST("id");

$rss = getBool(getPOST("rss"));
$rssdb = getDbBool($rss);

$den = getPOST("den");
$mesic = getPOST("mesic");
$rok = getPOST("rok");
$datum = makeDate($rok, $mesic, $den);

if ($datum == null) {
	$bad .= "&datum=1";
	$datum_query = "datum='$TOP_EXPIR_TEXT',";
	$datum = $TOP_EXPIR_TEXT;
}
else {
	if ($datum == $INF_EXPIR) {
		$cdate = getdate();
		$datum = $cdate['year']."-".$cdate['mon']."-".$cdate['mday'];
	} 
	$datum_query = "datum='$datum',";
}

$nazev = stringEscape(getPOST("nazev"));
$perex = stringEscape(getPOST("perex"));
$nazev_en = stringEscape(getPOST("nazev_en"));
$perex_en = stringEscape(getPOST("perex_en"));

$GLOBAL_ERRS=array();
$obsah = stringEscape(getPOST("obsah"));
$obsah_chyba = "";
/*
if (! validateTextForm($obsah)) {
	$bad.="&obsah=1";
	$tolog="";
	foreach($GLOBAL_ERRS as $err) {
		$err = htmlspecialchars($err);
		$tolog.="<p>$err</p>\n";
	}
	$obsah_chyba = pg_escape_string($tolog);
}
$obsah = stringEscape($obsah);
*/
$GLOBAL_ERRS=array();
$obsah_en = stringEscape(getPOST("obsah_en"));
$obsah_chyba_en = "";
/*
if (! validateTextForm($obsah_en)) {
	$bad.="&obsah_en=1";
	$tolog="";
	foreach($GLOBAL_ERRS as $err) {
		$err = htmlspecialchars($err);
		$tolog.="<p>$err</p>\n";
	}
	$obsah_chyba_en = pg_escape_string($tolog);
}
$obsah_en = stringEscape($obsah_en);
*/

if ($bad != "") {
	$povolena="f";
}
else { 
	$povolena="t";
}

connect_db();

check_rights($user, $NEWS, $RGHT_IS_ADMIN, $id, $_SERVER['PHP_SELF']);

$query = "SELECT pid FROM spravci WHERE login='$user'";
$result = pg_query($query);
db_one_row($result, $user, $_SERVER['PHP_SELF'], "User login conflict error!", $lang);
$row = pg_fetch_array($result, NULL, PGSQL_NUM);
$pid = $row[0];

if ($id == null) {
	$new = true;
	$query = "INSERT INTO aktuality (nazev, nazev_en, perex, perex_en,".
								" obsah, obsah_chyba, obsah_en, obsah_en_chyba, vytvoril,".
								" povolena, datum, rss, modifikace)".
						" VALUES ('$nazev', '$nazev_en', '$perex', '$perex_en', '$obsah',".
								" '$obsah_chyba', '$obsah_en', '$obsah_chyba_en', '$pid',".
								" '$povolena', '$datum', '$rssdb', now())";
}
else {
	$new = false;
	$query = "UPDATE aktuality".
						" SET nazev='$nazev', nazev_en='$nazev_en', perex='$perex',".
								" perex_en='$perex_en', obsah='$obsah',".
								"modifikace=now(),".
								" obsah_chyba='$obsah_chyba', obsah_en='$obsah_en',".
								" obsah_en_chyba='$obsah_chyba_en', vytvoril='$pid',".
								" $datum_query povolena='$povolena', rss='$rssdb'".
					" WHERE	aktualita_id='$id'";
}

//logit("", "", $query . "-------- '$rsss'", $LOG_INF);
$result = pg_query($query);

if ($id == null) {
	$query = "SELECT CURRVAL('aktuality_aktualita_id_seq')";
	$result = pg_query($query);
	$row = pg_fetch_array($result, NULL, PGSQL_NUM);
	$id = $row[0];
}

// vloz RSS
if ($ENABLE_RSS_NEWS) {
	if ($povolena == 't' && $rss) {
		RSSAddItem($NEWS, $id, $nazev,"$MY_URL/aktuality.php?id=$id", $perex, "", $new, "cs", null);
		if ($nazev_en != "") {
			RSSAddItem($NEWS, $id, $nazev_en,"$MY_URL/aktuality.php?id=$id&lang=en", $perex_en, "", $new, "en", null);
		}
		logit($user, $THIS_SCRIPT, "User sucessfully add/update RSS feed $id.", $LOG_ACT);
	}
	/*
	else {
		if (! $new) {
			RSSDelItem($NEWS, $id);
			logit($user, $THIS_SCRIPT, "User deleted RSS Feed $id.", $LOG_ACT);
		}
	}*/
}

if ($bad == "") {
	logit($user, $_SERVER['PHP_SELF'], "User sucessfully edit/create news $id.", $LOG_ACT);
	header("Location: aktuality.php");
}
else {
	logit($user, $_SERVER['PHP_SELF'], "User fail to edit/create news ($bad).", $LOG_UER);
	$bad.="&bad=1";
	$bad[0]='?';
	header("Location: edit_aktuality.php$bad&id=$id");
}

unsetLogging($DISPLAY_ERRORS, $om);
?>
