<?php
require_once("../eizlibs/logging.php");
$om = setLogging($DISPLAY_ERRORS);

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");

$lang=GETlang();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

// nastaveni jazyka
if ($lang == 'en') {
	$info_s = "strucny_popis_en";
	$nadpis = "eBooks in alphabetical order";
	$nav_item = "In Alpabet Order";
	$nav_koren = "eBooks";
}
else {
	$info_s = "strucny_popis";
	$nadpis = "Abecední seznam knih";
	$nav_item = "Dle abecedy";
	$nav_koren = "eKnihy";
}



$query = "SELECT 	$info_s, kniha_id, odkaz, titul".
				 	" FROM knihy WHERE povoleny = 't' AND aktivni = 't' ORDER BY titul";
$result = pg_query($query);

//navigace
$nav_bar[0]=$nav_koren;
$nav_ref[0]="index.php?lang=$lang";
$nav_bar[1]=$nav_item;
$nav_ref[1]=$THIS_SCRIPT."?lang=$lang";

html_heading($lang, $EBK_PAGE);

menu($lang, $THIS_SCRIPT, "", $EBK_PAGE, "");

my_main($lang, $EBK_PAGE);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>$nadpis</h1>\n";

echo "<div class=\"obsah\">\n\n";

// generuj abededu vcetne odkazu na zdroje 
generate_alphabet();

// generuj obsah stranky
echo "\n<div class=\"seznam\">\n";

$char = ' ';

while ($row = pg_fetch_array($result, NULL, PGSQL_BOTH)) {
	
	$info=$row[0];
	$kniha_id=$row['kniha_id'];
	$titul=$row['titul'];
	$odkaz=$row['odkaz'];
	$tochar = $row['titul'];

	
	echo "\t<span class=\"zdroj\">";

	
	$index = ord($tochar[0]);
	if ($index < 127) {
		$znak = $tochar[0];
	}
	
	if (ord($znak) != $char) {
		$char = ord($znak);
		echo "<a name=\"c$char\"></a>";
	}
	echo "</span>\n";

	echo getPublicBookToShow($lang, $kniha_id, $titul, $odkaz, $info, true, '', '');

}

//printUserLegend($lang);

echo "</div><!-- seznam -->\n";

echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

if ($lang == "cs") setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);
?>
