<?php

require_once("eizlibs/db_connect.php");
require_once("eizlibs/functions.php");
require_once("eizlibs/file_class.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = GETlang();

$id = stringEscape(getGET("id"));

connect_db();

$file = soubor::getFileById($id, "anonymous", "otevri_soubor.php");

if (file_exists("$FILES_DIR/$file->id")) {
	header('Content-Description: File Transfer');
	header('Content-Type: '.content_type($file->jmeno));
	header('Content-Disposition: attachment; filename='.$file->jmeno);
	header('Content-Transfer-Encoding: binary');
	header('Expires: 0');
	header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
	header('Pragma: public');
	header('Content-Length: ' . filesize("$FILES_DIR/$file->id"));
	ob_clean();
	flush();
	readfile("$FILES_DIR/$file->id");
	exit;
}
else {
	logit($NO_USER, $_SERVER['PHP_SELF'], "File does not exist: $FILES_DIR/$file->id", $LOG_ERR);
	print_error_page($lang);
	exit(1);
}

unsetLogging($DISPLAY_ERRORS, $om);
?>
