<?php
require_once("eizlibs/logging.php");
$om = setLogging($DISPLAY_ERRORS);

require_once("eizlibs/layout.php");
require_once("eizlibs/db_connect.php");
require_once("eizlibs/functions.php");
require_once("eizlibs/object_class.php");

$lang=GETlang();
$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

include_once(getI18Ndefault($lang, $THIS_SCRIPT));
include_once(getI18N($lang, $THIS_SCRIPT));
include_once(getI18NnavigationDefault($lang));
include_once(getI18Nnavigationv2($lang));

connect_db();

// parametry stranky
$param = "";
$fakulta=htmlEscape(stringEscape(getGET("fakulta")));
if ($fakulta != null) {$param = "&fakulta=$fakulta"; }
if (issetGET("nezarazene")) { $param = "&nezarazene=1"; }
if (issetGET("mu")) { $param = "&mu=1"; }

//************************************************************************
// precti univerzitni zdroje 
$query = "SELECT COUNT(zdroj_id) FROM zdroje".
	" WHERE (zarazeni = $SOURCE_MU) AND $PUBLIC_SOURCE_COND";
$result_mu = pg_query($query);
$row = pg_fetch_array($result_mu, NULL, PGSQL_NUM);
$pocet_mu = $row[0];


$fakulty = fakulta::getFakulty($lang);

// FIX IT - opravas poctu, zjistovat prumer a proste to nejak zaonacit
if ($UN_RESOURCES_IN_ALL_FACULTIES) {
	$pocet = $pocet_mu;
}
else {
	$pocet = 0;
}

//navigace
$nav_bar[0]=$txt_nav_koren;
$nav_ref[0]="$MY_URL/?lang=$lang";
$nav_bar[1]=$txt_nav_ezdroje;
$nav_ref[1]="$MY_URL/$RESOURCES_PAGE/?lang=$lang";
$nav_bar[2]=$txt_nav;
$nav_ref[2]="$THIS_SCRIPT?lang=$lang";


htmlHeading($lang, $RESOURCES_PAGE, $DEFAULT, $THIS_SCRIPT);

menuv2($lang, $THIS_SCRIPT, "", $RESOURCES_PAGE, "");

myMain($lang, $RESOURCES_PAGE);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>$txt_nadpis</h1>\n";

echo "<p class=\"hlavicka\">$txt_info:</p>";

echo "<div class=\"obsah\">\n\n";

echo "\n<div class=\"seznam\">\n";

showItem2($lang, "fakulta.php", "" , "&mu=1", $txt_uni_nazev, $pocet_mu);
	
foreach($fakulty as $fakulta) {
	showItem2($lang, "fakulta.php", "" , "&id=$fakulta->id", 
		$fakulta->getNazev($lang), $fakulta->pocet + $pocet);
}

echo "</div><!-- seznam -->\n";

echo "\n</div><!-- obsah -->\n\n";

myMainEnd();

if ($lang == "cs") setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footerv2(filectime($THIS_SCRIPT), $lang);

htmlEnd();

unsetLogging($DISPLAY_ERRORS, $om);

?>
