<?php
require_once("eizlibs/logging.php");
$om = setLogging($DISPLAY_ERRORS);

require_once("eizlibs/layout.php");
require_once("eizlibs/db_connect.php");
require_once("eizlibs/functions.php");
require_once("eizlibs/object_class.php");

$lang=GETlang();
$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

include_once(getI18Ndefault($lang, $THIS_SCRIPT));
include_once(getI18N($lang, $THIS_SCRIPT));
include_once(getI18NnavigationDefault($lang));
include_once(getI18Nnavigationv2($lang));

connect_db();

if (issetGETPOST("dotaz")) {
	$dotaz = getGETPOST("dotaz");
} 
else {
	$dotaz = "";
}

$zdroje = zdroj::getHledej($lang, $dotaz);
$pocet = count($zdroje);

//navigace
$nav_bar[0]=$txt_nav_koren;
$nav_ref[0]="$MY_URL/?lang=$lang";
$nav_bar[1]=$txt_nav_ezdroje;
$nav_ref[1]="$MY_URL/$RESOURCES_PAGE/?lang=$lang";
$nav_bar[2]=$txt_nav;
$nav_ref[2]="$THIS_SCRIPT?lang=$lang";


htmlHeading($lang, $RESOURCES_PAGE, $DEFAULT, $THIS_SCRIPT);

menuv2($lang, $THIS_SCRIPT, "", $RESOURCES_PAGE, "");

myMain($lang, $RESOURCES_PAGE);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>$txt_nadpis - '". htmlspecialchars($dotaz) ."'</h1>\n";

echo "<div class=\"obsah\">\n\n";
// generuj obsah stranky

if ($pocet < 1 || $dotaz="") {
	echo "\n\t<div class=\"noresult\">$txt_bez_vysledku</div>\n";
}
else {

	echo "\n\t<div class=\"pocet_vysledku\">";
	echo "\n\t\t<span class=\"pocet_label\">$txt_pocet_vysledku</span>";
	echo "\n\t\t<span class=\"pocet_hodnota\">$pocet</span>";
	echo "\n\t</div><!-- pocet_vysledku -->\n";

	echo "\n\t<div class=\"seznam\">\n";

	foreach($zdroje as $zdroj) {
		$zdroj->show($lang);
	}

	echo "</div><!-- seznam -->\n";
}

printUserLegend($lang);


echo "\n</div><!-- obsah -->\n\n";

myMainEnd();

if ($lang == "cs") setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footerv2(filectime($THIS_SCRIPT), $lang);

htmlEnd();

unsetLogging($DISPLAY_ERRORS, $om);

?>
