<?php
require_once("eizlibs/logging.php");
$om = setLogging($DISPLAY_ERRORS);

require_once("eizlibs/layout.php");
require_once("eizlibs/db_connect.php");
require_once("eizlibs/functions.php");
require_once("eizlibs/object_class.php");
require_once("eizlibs/uzivatel_class.php");

$lang=GETlang();
$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

include_once(getI18Ndefault($lang, $THIS_SCRIPT));
include_once(getI18N($lang, $THIS_SCRIPT));
include_once(getI18NnavigationDefault($lang));
include_once(getI18Nnavigationv2($lang));

connect_db();
$uzivatel = uzivatel::getShibAuth(true);
$zdroje = zdroj::getNejnovejsi($lang, $NEW_SOURCES_LIST_LIMIT);


//navigace
$nav_bar[0]=$txt_nav_koren;
$nav_ref[0]="$MY_URL/?lang=$lang";
$nav_bar[1]=$txt_nav_ezdroje;
$nav_ref[1]="$MY_URL/$RESOURCES_PAGE/?lang=$lang";
$nav_bar[2]=$txt_nav;
$nav_ref[2]="$THIS_SCRIPT?lang=$lang";

htmlHeading($lang, $RESOURCES_PAGE, $DEFAULT, $THIS_SCRIPT);

menuv2($lang, $THIS_SCRIPT, "", $RESOURCES_PAGE, "");

myMain($lang, $RESOURCES_PAGE);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>$txt_nadpis</h1>\n";

echo "<div class=\"obsah\">\n\n";

// generuj obsah stranky
echo "\n<div class=\"seznam\">\n";

foreach($zdroje as $zdroj) {
	$zdroj->show($lang, $uzivatel);
}

printUserLegendv2($lang);

echo "</div><!-- seznam -->\n";

echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

if ($lang == "cs") setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);
?>
