<?php
require_once("eizlibs/logging.php");
$om = setLogging($DISPLAY_ERRORS);

require_once("eizlibs/layout.php");
require_once("eizlibs/db_connect.php");
require_once("eizlibs/functions.php");
require_once("eizlibs/object_class.php");

$lang=GETlang();
$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

include_once(getI18Ndefault($lang, $THIS_SCRIPT));
include_once(getI18N($lang, $THIS_SCRIPT));
include_once(getI18NnavigationDefault($lang));
include_once(getI18Nnavigationv2($lang));

connect_db();

// parametry  stranky

$param="";
// volba jazyka

if ($lang == 'en') {
	$nazev_q="nazev_en";
	$info = "info_strucne_en";
}
else {
	$nazev_q="nazev";
	$info = "info_strucne";
}



//**************************************************************************
// zbytek oboru == result_obory
$query = "SELECT COUNT(zdroj_id) FROM zdroje".
	" WHERE (multioborovy = 't') AND $PUBLIC_SOURCE_COND";
$result_multiob = pg_query($query);
$row = pg_fetch_array($result_multiob, NULL, PGSQL_NUM);
$multi_pocet = $row[0];

$query = "SELECT obor_id, $nazev_q, pocet". 
					" FROM obory WHERE koren='t' ORDER BY $nazev_q";
$result_obory = pg_query($query);

// uloz si obory
$sub_sources = array();
$domains_name = array();
$domains_id = array();
$domains_count_source = array();
while ($row = pg_fetch_array($result_obory, NULL, PGSQL_BOTH)) {
	$id =  $row['obor_id'];
	array_push($domains_id, $id);
	array_push($domains_name, $row[1]);
	array_push($domains_count_source, $row['pocet']);
}

$query = "SELECT COUNT(zdroj_id) FROM zdroje".
	"	WHERE (multioborovy = 'f') AND $PUBLIC_SOURCE_COND AND".
	"	(zdroj_id NOT IN (SELECT DISTINCT(zdroj_id) FROM zdroj_obor))";
$result_nezpoc = pg_query($query);
$row = pg_fetch_array($result_nezpoc, NULL, PGSQL_NUM);
$pocet = $row[0];

//navigace
$nav_bar[0]=$txt_nav_koren;
$nav_ref[0]="$MY_URL/?lang=$lang";
$nav_bar[1]=$txt_nav_ezdroje;
$nav_ref[1]="$MY_URL/$RESOURCES_PAGE/?lang=$lang";
$nav_bar[2]=$txt_nav;
$nav_ref[2]="$THIS_SCRIPT?lang=$lang";

htmlHeading($lang, $RESOURCES_PAGE, $DEFAULT, $THIS_SCRIPT);

menuv2($lang, $THIS_SCRIPT, "", $RESOURCES_PAGE, "");

myMain($lang, $RESOURCES_PAGE);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>$txt_nadpis</h1>\n";

echo "<p class=\"hlavicka\">$txt_info:</p>";

echo "<div class=\"obsah\">\n\n";

echo "\n<div class=\"seznam\">\n";

// ********* vypis multioborovych zdroju
showItem2($lang, "obor.php", "" , "&multiob=1", $txt_multioborove, $multi_pocet);

// ************ vypis zbytku oboru
// ************* hlavni cyklus
foreach($domains_id as $klic => $obor_id) {
	$id=$obor_id;
	$nazev=$domains_name[$klic];
	$pocet_zdroju = $domains_count_source[$klic];
	
	showItem2($lang, "obor.php", "", "&id=$id", $nazev, $pocet_zdroju);

} // cyklus pres hlavni obory



showItem2($lang, "obor.php", "", "&nezarazene=1", $txt_nezarazene, $pocet);

echo "</div><!-- seznam -->\n";

echo "\n</div><!-- obsah -->\n\n";

myMainEnd();

if ($lang == "cs") setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footerv2(filectime($THIS_SCRIPT), $lang);

htmlEnd();

unsetLogging($DISPLAY_ERRORS, $om);

?>
