<?php

require_once("eizlibs/logging.php");
$om = setLogging($DISPLAY_ERRORS);

require_once("eizlibs/layout.php");
require_once("eizlibs/db_connect.php");
require_once("eizlibs/functions.php");
require_once("eizlibs/object_class.php");
require_once("eizlibs/uzivatel_class.php");

$lang=GETlang();
$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

include_once(getI18Ndefault($lang, $THIS_SCRIPT));
include_once(getI18N($lang, $THIS_SCRIPT));
include_once(getI18NnavigationDefault($lang));
include_once(getI18Nnavigationv2($lang));

connect_db();

//parametry stranky
$typ = htmlspecialchars(getGET("typ"));
if ($typ == null) $typ = 1;
$param="&typ=$typ";

// volba jazyka
if ($lang == 'en') {
	$info = "info_strucne_en";
	
}
else {
	$info = "info_strucne";
}


//************************************************************************
// precti zdroje typu

$query = "SELECT $info, zdroj_id, zkratka, odkaz, kategorie, expirace,".
	" nazev_extra_cz, odkaz_onelog_en, odkaz_onelog_cz, odkaz_extra_cz, ezproxy_odkaz".	
	" FROM zdroje WHERE (typ = '$typ') AND $PUBLIC_SOURCE_COND".
	"	ORDER BY ".getOrderBy($lang);
$result_src = pg_query($query);

$nazev_typu = normType(getSourceType($typ, $lang));


//navigace
$nav_bar[0]=$txt_nav_koren;
$nav_ref[0]="$MY_URL/?lang=$lang";
$nav_bar[1]=$txt_nav_ezdroje;
$nav_ref[1]="$MY_URL/$RESOURCES_PAGE/?lang=$lang";
$nav_bar[2]=$txt_nav;
$nav_ref[2]="typy2.php?lang=$lang";
$nav_bar[3]=$nazev_typu;
$nav_ref[3]=$THIS_SCRIPT."?lang=$lang&typ=$typ";

htmlHeading($lang, $RESOURCES_PAGE, $DEFAULT, $THIS_SCRIPT);

menuv2($lang, $THIS_SCRIPT, "", $RESOURCES_PAGE, "");

myMain($lang, $RESOURCES_PAGE);

nav_bar($lang, $nav_bar, $nav_ref);

echo "\n<h1>$nazev_typu</h1>\n";

echo "<div class=\"obsah\">\n\n";

echo "<div class=\"seznam\">";

showUpperDir($lang, "typy2.php", "\t", "");

while ($row = pg_fetch_array($result_src, NULL, PGSQL_BOTH)) {
	$kategorie = getKategorie($row['kategorie']);
	showSource($lang, "\t", $row['zdroj_id'], "", $row['zkratka'], "", 
			$row[0], $row['odkaz'], $kategorie, $row['expirace'], $param,
			$row['odkaz_onelog_en'], $row['odkaz_onelog_cz'],
			$row['nazev_extra_cz'], $row['odkaz_extra_cz'],  $row['ezproxy_odkaz']);
}

printUserLegend($lang);

echo "</div><!-- seznam -->\n";

echo "\n</div><!-- obsah -->\n\n";

myMainEnd();

if ($lang == "cs") setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footerv2(filectime($THIS_SCRIPT), $lang);

htmlEnd();

unsetLogging($DISPLAY_ERRORS, $om);

?>
