<?php
require_once("eizlibs/logging.php");
$om = setLogging($DISPLAY_ERRORS);

require_once("eizlibs/layout.php");
require_once("eizlibs/db_connect.php");
require_once("eizlibs/functions.php");
require_once("eizlibs/object_class.php");

$lang=GETlang();
$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

include_once(getI18Ndefault($lang, $THIS_SCRIPT));
include_once(getI18N($lang, $THIS_SCRIPT));
include_once(getI18NnavigationDefault($lang));
include_once(getI18Nnavigationv2($lang));

connect_db();

// volba jazyka
if ($lang == 'en') {
	$info = "info_strucne_en";
	
}
else {
	$info = "info_strucne";
}

//navigace
$nav_bar[0]=$txt_nav_koren;
$nav_ref[0]="$MY_URL/?lang=$lang";
$nav_bar[1]=$txt_nav_ezdroje;
$nav_ref[1]="$MY_URL/$RESOURCES_PAGE/?lang=$lang";
$nav_bar[2]=$txt_nav;
$nav_ref[2]="$THIS_SCRIPT?lang=$lang";

connect_db();

//************************************************************************
// precti typy a pocty zdroju v nich
$type_src_count = array();
$type_name = array();
foreach($ALLOW_TYPES as $i) {
	$query = "SELECT COUNT(zdroj_id) FROM zdroje". 
						"	WHERE (typ = '$i') AND $PUBLIC_SOURCE_COND";
	$result = pg_query($query);
	$row = pg_fetch_array($result, NULL, PGSQL_NUM);
	$type_src_count[$i] = $row[0];
	
	$nazev_typu = normType(getSourceType($i, $lang));
	$type_name[$i] = $nazev_typu;
	
}

htmlHeading($lang, $RESOURCES_PAGE, $DEFAULT, $THIS_SCRIPT);

menuv2($lang, $THIS_SCRIPT, "", $RESOURCES_PAGE, "");

myMain($lang, $RESOURCES_PAGE);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>$txt_nadpis</h1>\n";

echo "<p class=\"hlavicka\">$txt_info:</p>";

echo "<div class=\"obsah\">\n\n";

echo "<div class=\"seznam\">";

foreach($ALLOW_PUBLIC_TYPES as $i) {
	showItem2($lang, "typ.php", "", "&typ=$i", $type_name[$i], 
							$type_src_count[$i]);
}


echo "</div><!-- seznam -->\n";

echo "\n</div><!-- obsah -->\n\n";

myMainEnd();

if ($lang == "cs") setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footerv2(filectime($THIS_SCRIPT), $lang);

htmlEnd();

unsetLogging($DISPLAY_ERRORS, $om);


?>
