<?php

require_once("../constants.php");
require_once("../db_connect.php");

connect_db();

$src_counts = array();

$query = "BEGIN; SELECT obor_id FROM obory WHERE koren='t'";
$result = pg_query($query);

while ($row = pg_fetch_array($result, NULL, PGSQL_NUM)) {
	$id = $row[0];

	$src_counts[$id] = 0;
	$local = array();
	// ktere zdroje jsou primo v koreni 
	$query = "SELECT zdroje.zdroj_id FROM zdroj_obor, zdroje 
						WHERE (zdroj_obor.obor_id='$id') AND
							(zdroje.zdroj_id = zdroj_obor.zdroj_id)
							AND $PUBLIC_SOURCE_COND";
	$zdr_result = pg_query($query);
	while ($row = pg_fetch_array($zdr_result, NULL, PGSQL_NUM)) {
		array_push($local, $row[0]);
	}
	
	// podobory korenoveho oboru
	$query = "SELECT obor_potomek FROM obor_obor WHERE obor_rodic='$id'";
	$pod_result = pg_query($query);
	while ($row = pg_fetch_array($pod_result, NULL, PGSQL_NUM)) {
		$query = "SELECT zdroje.zdroj_id FROM zdroj_obor, zdroje
							WHERE (zdroj_obor.obor_id='$row[0]') AND
										(zdroje.zdroj_id = zdroj_obor.zdroj_id) AND
										$PUBLIC_SOURCE_COND";
		$src_result = pg_query($query);
		while ($row2 = pg_fetch_array($src_result, NULL, PGSQL_NUM)) {
			// pokud zdroj neni v nadrazenem oboru, tak ho pridej
			if (! in_array($row2[0], $local)) array_push($local, $row2[0]);
		}

		$subpocet = pg_num_rows($src_result);
		//uloz pocet zdroju v podoboru
		$query = "UPDATE obory SET pocet=$subpocet WHERE obor_id=$row[0]";
		
		$up_result = pg_query($query);
		if (! $up_result) die("Chyba pri updatu!");	
	}
		
	$pocet = count($local);
	$query = "UPDATE obory SET pocet=$pocet WHERE obor_id=$id";
	$res = pg_query($query);
}

// prepocte pro fakulty
$query = "SELECT fakulta_id FROM fakulty";
$result = pg_query($query);
while ($row = pg_fetch_array($result, NULL, PGSQL_NUM)) {
	$query = "SELECT COUNT(zdroje.zdroj_id) 
	          FROM zdroj_fakulta, zdroje
						WHERE (zdroj_fakulta.fakulta_id='$row[0]') AND
									(zdroje.zarazeni <> $SOURCE_NOTIN) AND
									(zdroje.zdroj_id=zdroj_fakulta.zdroj_id) AND
									$PUBLIC_SOURCE_COND";
	$result_fac = pg_query($query);
	$row2 = pg_fetch_array($result_fac, NULL, PGSQL_NUM);
	$query = "UPDATE fakulty SET pocet=$row2[0] WHERE fakulta_id='$row[0]'";
	pg_query($query);
}

$query = "COMMIT";
$result = pg_query($query);
if (! $result) die("Cannot commit!");

?>
