<?php
require_once("config.php");

$MY_CHARSET = "utf8";
$HTML_CHARSET = "utf-8";

$MY_LOCALES1 = "cs_CZ.UTF8";
$MY_LOCALES2 = "cs_CZ";
$MY_LOCALES3 = "en_US";

// typ stranky (pro menu, hlavicky, etc.)
$EIZ_PAGE = "";
$EZB_PAGE = "ecasopisy";
$EBK_PAGE = "eknihy";
$EIZ_AUTH = "auth";
$EIZ_ERROR = "error";
$EIZ_AUTH_TXTAR = "auth_textarea";
$I18N = "i18n";

// portal ver. 2
$PORTAL_PAGE = "portal_page"; // not correspond to the URL, just constant
$RESOURCES_PAGE = "prehled";
$EJOURNALS_PAGE = "ecasopisy";
$EBOOKS_PAGE = "eknihy";
$DISCOVERY_PAGE = "discovery";
$METALIB_PAGE = "metalib";
$SFX_PAGE = "sfx";
$VZDALENY_PRISTUP_PAGE = "vzdaleny_pristup";
$SHIBBOLETH_PAGE = "shib";
$AUTH_PAGE = "auth";

// nasledujici odstranit po prepsani Portalu EIZ
$AUTH_DIR = "auth"; // FIX IT - melo by se zmenit s pristi verzi - viz functions.php
$EIZ_DIR = "";
$EZB_DIR = "ecasopisy";
$EBK_DIR = 'eknihy';
// konec pro prepsani

$IMG_DIR = "images";
$THS_DIR = "thumbs";
$THUMBS_PATH = $WEBHOME_PREFIX.$THS_DIR;
$SNIPPETS_DIR = 'snippets';


$HEADER_FILE = "header";
$FOOTER_FILE = "footer";

$NAV_TYPE_ABECEDNE = 0;
$NAV_TYPE_FAKULTY = 1;
$NAV_TYPE_OBORY = 2;
$NAV_TYPE_SPRAVCI = 3;
$NAV_TYPE_EXPIRACE = 4;
$COOKIE_NAV_TYPE = 'navigace_typ';
$COOKIE_NAV_VALUE = 'navigace_hodnota';

$EMPTY_FILE = 'eizlibs/empty_file.php';

$NONE = 0;
$DEFAULT = 0;
// end ver. 2




$COOKIES_EXPIRE_PERIOD = 1800; // 30 minut
//$NEW_TIME = 240; // pocet minut, kdy je po vytvoreni pro RSS zdroj povazovan za novy

// typy logu
$LOG_ERR = 1;
$LOG_ACT = 24;
$LOG_WAR = 2;
$LOG_DBE = 25;
$LOG_UER = 256;
$LOG_RGH = 26;
$LOG_LCK = 27;
$LOG_TRN = 28;
$LOG_INF = 0;
$LOG_DEB = 3;

$LOC_ERROR_REL = "Location: ../chyba.php";
$LOC_ERROR = "Location: chyba.php";
$LOC_RIGHT_ERROR = "Location: ../chyba_opravneni.php";
$LOC_LOCK_ERROR = "Location: ../zamceno.php";

$EZB_URL = "http://rzblx1.uni-regensburg.de/ezeit/detail.phtml?bibid=MUBR&colors=7&lang=en&jour_id=";

$TYPE_NONE=-1;
$SOURCE=0;
$MAGAZINE=$JOURNAL=1;
$NEWS=2;
$BOOK=3;
$FILE=32;
$FACULTY=33;

$TYPE_DESCRIPTION = array('source', 'magazine', 'news', 'book');
$TYPE_TABLENAMES = array('zdroje', 'casopisy', 'aktuality', 'knihy');
$TYPE_IDNAMES = array('zdroj', 'casopis', 'aktualita', 'kniha');
$TYPE_DBTITLES = array('zkratka', 'titul', 'nazev', 'titul');

$THBOOK = "thbook";

$BFACULTY = 32;
$BDOMAIN = 33;
$BTYPE = 34;

$RSS_TYPE_CZ = 1;
$RSS_TYPE_EN = 2;
$RSS_TYPE_DETAIL_CZ = 3;
$RSS_TYPE_DETAIL_EN = 4;

// mam zapnout rss jako takove?
$ENABLE_RSS = $ENABLE_RSS_SOURCES || $ENABLE_RSS_NEWS || $ENABLE_RSS_MAGAZINES;

//typy zdroju
$SOURCE_BIBLIO = 1;
$SOURCE_FULL = 2;
$SOURCE_FAKTO = 3;
$SOURCE_REF = 4;
$SOURCE_COMBINED = 5;
$SOURCE_PORTAL = 6;
$SOURCE_UNKNOWN = 0;
$SOURCE_TYPE_DEFAULT = 0;
$ALLOW_TYP_LESS = 0;
$ALLOW_TYP_TOP = 6;
$ALLOW_TYPES = array($SOURCE_BIBLIO, $SOURCE_COMBINED, $SOURCE_FAKTO, $SOURCE_FULL, $SOURCE_REF, $SOURCE_PORTAL, $SOURCE_UNKNOWN);
$ALLOW_PUBLIC_TYPES = array($SOURCE_BIBLIO, $SOURCE_COMBINED, $SOURCE_FAKTO, 
												$SOURCE_FULL, $SOURCE_REF, $SOURCE_UNKNOWN);

include_once('i18n/jazyky_default.php');
include_once('i18n/jazyky.php');


$LANGUAGES_EN = array("nn" => $txt_const_jazyk_neurceny_en,
											"mm" => $txt_const_jazyk_vicejazycny_en,
											"en" => $txt_const_jazyk_en_en, 
											"cs" => $txt_const_jazyk_cs_en, 
											"de" => $txt_const_jazyk_de_en, 
											"fr" => $txt_const_jazyk_fr_en, 
											"ru" => $txt_const_jazyk_ru_en, 
											"sk" => $txt_const_jazyk_sk_en,
											"es" => $txt_const_jazyk_es_en,
											"--" => $txt_const_jazyk_jiny_en);

$LANGUAGES_CS = array("nn" => $txt_const_jazyk_neurceny,
											"mm" => $txt_const_jazyk_vicejazycny,
											"en" => $txt_const_jazyk_en, 
											"cs" => $txt_const_jazyk_cs, 
											"de" => $txt_const_jazyk_de, 
											"fr" => $txt_const_jazyk_fr, 
											"ru" => $txt_const_jazyk_ru, 
											"sk" => $txt_const_jazyk_sk,
											"es" => $txt_const_jazyk_es,
											"--" => $txt_const_jazyk_jiny);

// typ u casopisu
$MAG_TYPE_FULLTEXT=0;
$MAG_TYPE_FULLPRNT=1;
$MAG_TYPE_SELECTED=2;
$MAG_TYPE_RETRO=3;
$MAG_TYPE_ABSTR=4;
$MAG_TYPE_TOCONT=5;
$MAG_TYPE_LOCAL=6;

// tohle je jen v auth verzi (FIX IT - lokalizace)
$MAGAZINE_TYPE = array("full-text, pouze online", 
												"full-text, online i tištěný",
												"jen vybrané fulltexty",
												"zpětně digitalizovaný",
												"pouze abstrakty",
												"pouze obsah",
												"pouze lokálně dostupný");
$MAGAZINE_TYPE_COMM = array("časopisy, které jsou pouze v elektronické podobě",
	"časopisy, které jsou vydávány paralelně elektronicky i v tištěné podobě",
	"méně než 50% obsahu časopisu je online ve fulltextu",
	"zpětně digitalizované časopisy",
	"pouze obsah + abstrakty",
	"pouze obsah časopisu",
	"pouze na $UNIVERSITY, nemá veřejnou www stránku");

$MAG_COST_PAYED=0;
$MAG_COST_PRNT=1;
$MAG_COST_PAYPERVIEW=2;
$MAG_COST_FREE=3;
$MAGAZINE_COST = array("placený (jen v online verzi)", 
												"dostupný předplatitelům tištěné verze",
												"platba za prohlédnutí",
												"volně dostupné");

$MAG_ACC_IP=0;
$MAG_ACC_REG=1;
$MAG_ACC_FREE=2;
$MAGAZINE_ACCESS = array("omezení IP adresami nebo hesly",
													"osobní registrace",
													"volný přístup");



//zarazeni zdroje pod skolu a fakultu
$SOURCE_NOTIN = 0;
$SOURCE_MU = 1;
$SOURCE_MU_FACS = 2;
//$SOURCE_FREE_TRIAL = 3; 
$SOURCE_IN_DEFAULT = $SOURCE_NOTIN;
$ALLOW_ZARAZENI_LESS = 0;
$ALLOW_ZARAZENI_TOP = 2;

// advanced search
$QUERY_ALL = -1;
$QUERY_TITLE = 1;
$QUERY_BRIEF = 2;
$QUERY_FULL = 3;
$QUERY_PROD = 4;

$QUERY_AND = 14;
$QUERY_OR = 15;

include_once('i18n/kategorie_default.php');
include_once('i18n/kategorie.php');

//kategorie zdroje
$KATEGORIE_CS = array($txt_const_kategorie_licencovany,
	$txt_const_kategorie_volne_dostupny,
	$txt_const_kategorie_trial,
	$txt_const_kategorie_odkaz,
	$txt_const_kategorie_metazdroj);

$KATEGORIE_EN = array($txt_const_kategorie_licencovany_en,
	$txt_const_kategorie_volne_dostupny_en,
	$txt_const_kategorie_trial_en,
	$txt_const_kategorie_odkaz_en,
	$txt_const_kategorie_metazdroj_en);

$KAT_LICENCOVANY = 0;
$KAT_FREE = 1;
$KAT_FREE_TRIAL = 2;
$KAT_USEFUL = 3;
$KAT_DEFAULT = $KAT_LICENCOVANY;
$KAT_META = 4;
$KAT_ALLOW_LESS = 0;
$KAT_ALLOW_TOP = 4;

//fakulty - identifikatory, dle databaze (jen pro MU - pro inicialni import)
//
$MU=0;
$FI=1;
$PRIF=2;
$FF=3;
$PRAF=4;
$LF=5;
$PEDF=6;
$ESF=7;
$FSSF=8;
$FSPSF=9;

// ----- uzivatelska prava -- zpravy

// lokalni v rights a pro identifikaci v print_right_error()
$RGHT_DELETE_SOURCE = 1;
$RGHT_IS_ADMIN = 2;
$RGHT_EDIT_SOURCE = 3;
$RGHT_EDIT_MAGAZINE = 4;
$RGHT_DELETE_MAGAZINE = 5;
$RGHT_EDIT_BOOK = 6;
$RGHT_DELETE_BOOK = 7;
$RGHT_EDIT_NEWS = 8;
$RGHT_DELETE_NEWS = 9;

// globalni ze skriptu
$RGHT_EDIT = 32;
$RGHT_DELETE = 33;


//uzivatelska prava -- hodnoty chyb
$RGHT_ERROR = -2;
$RGHT_DB_FAILED = -1;
$RGHT_FAILED = 0;
$RGHT_OK = 1;

// uzivatel
$USER_DB_PID_FAILED = -1;
$USER_DB_PID_CONFLICT = -2;
$USER_MARKER = "#";
$FAC_MARKER = "$";
$NO_USER = "no_user";
$NONE = "_";

// formulare, texty
$CHECKED = "checked=\"checked\"";
$SELECTED = "selected=\"selected\"";
$DISABLED = "disabled=\"disabled\"";
$MULTIPLE = "multiple=\"multiple\"";
$CHECKED_VAL = "checked";
$DISABLED_VAL = "disabled";
$SELECT_KONTAKT = "kontakt";
$SELECT_ADMIN = "admin";


$TEXT_FREE_TRIAL="Free-trial";
$TEXT_FREE="Free";

$PLUS = true;
$MINUS = false;


// jak dlouhy ma byt podrobny text na strance zdroje
$SRC_DESC_LEN = 500;
$SRC_LIC_LEN = 150;
$SRC_FIN_LEN = 240;

// datumy
$MORE_THAN_YEAR = 366;
$LESS_THAN_YEAR = -366;
$MORE_THAN_MONTH = 32;
$LESS_THAN_MONTH = -32;
$TOP_EXPIR = 99991231;
$BOTTOM_EXPIR = 00000000;
$TOP_EXPIR_TEXT = "9999-12-31";
$BOTTOM_EXPIR_TEXT = "1900-01-01";
$TOP_YEAR = "9999";
$BOTTOM_YEAR = "1900";
$INF_EXPIR = "OK";
//$DATE_TIME_STR = "%e. %m. %Y %k:%M:%S";
$DATE_TIME_STR = "j. n. Y G:i:s";

//zamky
$NOT_LOCK=127;
$NOT_PERMITTED_UNLOCK=128;
$UNLOCKED=129;
$UNLOCK_ERROR=130;

//navigace
$SET_NAV="=1";

//tyka se autentizovane casti (FIX IT - potreba take lokalizovat?)
$NAV_AUTH="E-zdroje (auth)";
$NAV_AUTH_LNK="index.php";
$NAV_VYBER_SEZNAM = "Seznam zdrojů";
$NAV_VYBER_ABECEDNE = "abecedně";
$NAV_VYBER_EXPIRACE = "dle expirace";
$NAV_VYBER_SPRAVCI = "dle správců";
$NAV_VYBER_VSE = "Všechny zdroje";
$NAV_VYBER_LIC = "Licencované";
$NAV_VYBER_FREE = "Free";
$NAV_VYBER_FREETRIAL = "Free-trial";
$NAV_VYBER_LOCK = "Uzamknuté";
$NAV_VYBER_LINK = "Užitečné odkazy";

// pro casopisy
$NAV_VYBER_CASOPISY = "Seznam časopisů";
$NAV_VYBER_FAKULTY = "dle fakult";

$NAV_VYBER_KNIHY = "Seznam knih";

$NAV_AKTUALITY = "Aktuality";
$NAV_UZIVATELE = "Uživatelé";
$NAV_RSS = "Editace RSS";

//predavame stav skriptu pro smazani zdroje (pro pripadny navrat na zdroj)
$DEL_NO_PARAMS=0;
$DEL_ABECEDNE=-1;
$DEL_EXPIRACE=-2;
$DEL_LIC=1;
$DEL_TRIAL=2;
$DEL_FREE=3;
$DEL_LOCK=4;
$DEL_LINK=5;

//predevame stav - na kterou stranku se vracet (pri odemykani)
$DEL_VYBER=10;
$DEL_ZDROJ=11;
$DEL_CASOPIS=12;
$DEL_CASOPISY_VYBER=13;
$DEL_KNIHA=14;
$DEL_KNIHY_VYBER=15;

// konstanty pro ukladani do cookies
$BY_ALPHABET = 1;
$BY_ADMINS = 2;
$BY_USER = 3;

// validita -- kontrola chyb
$VALIDITY_EDIT_SRC_ERROR = -1;
$VALIDITY_EDIT_ACT_ERROR = -2;

// linking behaviour
$ANY_LINK = ! ($DIRECT_LINK_MANDATORY || $ONELOG_LINK_MANDATORY) && $ENABLE_ONELOG_LINK && $ENABLE_EXTRA_CZECH_LINK;


$PUBLIC_SOURCE_COND = "(zdroje.aktivni = 't') AND (zdroje.povoleny = 't') AND ((zdroje.expirace >= CURRENT_DATE) OR (zdroje.kategorie <> '$KAT_FREE_TRIAL')) AND (zdroje.kategorie <> '$KAT_USEFUL')";

// deprecated - FIX IT
$DELETED_MAGAZINE_COND = "(smazat = 'f')";
//deprecated - FIX IT
$PUBLIC_MAGAZINE_COND = "(aktivni = 't') AND (smazat = 't') AND (expirace >= CURRENT_DATE)";
//deprecated - FIX IT
$PUBLIC_BOOK_COND = "(aktivni = 't') AND (povoleny = 't') AND (expirace >= CURRENT_DATE)";

?>
