<?php
require_once("eizlibs/logging.php");
$om = setLogging($DISPLAY_ERRORS);

require_once("eizlibs/layout.php");
require_once("eizlibs/db_connect.php");
require_once("eizlibs/functions.php");
require_once("eizlibs/aktualita_class.php");
require_once("eizlibs/spravce_class.php");

$lang=GETlang();
$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

include_once(getI18Ndefault($lang, $THIS_SCRIPT));
include_once(getI18N($lang, $THIS_SCRIPT));
include_once(getI18NnavigationDefault($lang));
include_once(getI18Nnavigationv2($lang));

connect_db();

$spravci = spravce::getSpravci();
$aktuality = array();

if (($act_id = GETid()) != null) {
	$aktuality[] = aktualita::getPublicAktualita($act_id);
	$archiv_link = "<div class=\"stred\">".
									"<a href=\"$THIS_SCRIPT?lang=$lang\">$txt_archiv</a>";
									"</div>\n";
	$menuparam = "&id=$act_id";
	
}
else {
	$aktuality =  aktualita::getPublicAktuality(); 
	$archiv_link = "";
	$menuparam = "";
}

//navigace
$nav_bar[0]=$txt_nav_koren;
$nav_ref[0]="$MY_URL/?lang=$lang";
$nav_bar[1]=$txt_nav;
$nav_ref[1]="$THIS_SCRIPT?lang=$lang";


htmlHeading($lang, $PORTAL_PAGE, $DEFAULT, $THIS_SCRIPT);

menuv2($lang, $THIS_SCRIPT, "", $PORTAL_PAGE, "");

myMain($lang, $PORTAL_PAGE);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>$txt_nadpis</h1>\n";

echo "<div class=\"obsah\">\n\n";

if (count($aktuality) == 0) {
	$no_acts = "<h2 class=\"no_news\">$txt_bez_aktualit</h2>\n";
}
else {

	foreach($aktuality as $aktualita) {
		$aktualita->show($lang, $spravci, $txt_vlozil);
	}

	if (count($aktuality) < 2) {
		echo "<div class=\"stred\">".
		"<a href=\"$THIS_SCRIPT?lang=$lang\">$txt_archiv</a>".
		"</div>\n";
	}	
}

echo "\n</div><!-- obsah -->\n\n";

myMainEnd();

if ($lang == "cs") setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footerv2(filectime($THIS_SCRIPT), $lang);

htmlEnd();

unsetLogging($DISPLAY_ERRORS, $om);
?>

