<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");
require_once("eizlibs/functionsv2.php");
require_once("eizlibs/layout.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

// pokud uzivatel neklepl na edit, ale na smazat, tak jdeme dal
if (issetPOST("smazat")) {
	$id = getGET("id");
	header("Location: smazat_aktualitu_ano_ne.php?id=$id");
	exit(0);
}

$textboxsize=73;
$smazat=true;

// **************************************************************************
// zjistime potrebne informace z databaze
connect_db();

check_rights($user, $NEWS, $RGHT_IS_ADMIN, "", $THIS_SCRIPT);

if (($id = getGET("id")) == null) {	
	$nadpis = "<h1>Přidání nové aktuality</h1>\n";

	$nazev="";
	$nazev_note="";

	$nazev_en="";
	$nazev_en_note="";

	$perex="";
	$perex_note="";

	$perex_en="";
	$perex_en_note="";
	
	$obsah="";
	$obsah_note="";

	$obsah_en="";
	$obsah_note_en ="";

	$datum_note = "";
	$mdate = "";
	
	$cdate = getdate();
	$cday = $cdate['mday'];
	$cmonth = $cdate['mon'];
	$cyear = $cdate['year'];
	
	$smazat = false;
	$povolena = true;
	$rss = true;
} 
else {
	$id = stringEscape($id);

	$nadpis = "<h1>Editace aktuality</h1>\n";
	
	$query = "SELECT * FROM aktuality WHERE aktualita_id='$id'";
	$result = pg_query($query);
	db_one_row($result, $user, $_SERVER['PHP_SELF'], "News id='$id' conflict error!", 
							$lang);
	$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);
	

	$povolena = getBool($row['povolena']);
	
	$nazev = htmlEscape(checkForNull($row['nazev']));
	$nazev_note="";
	if (issetGET("nazev") || $nazev == "") $nazev_note="Název&nbsp;musí&nbsp;být&nbsp;vyplněn!"; 

	$perex_note="";
	$perex = htmlEscape(checkForNull($row['perex']));
	if (issetGET("perex") || $perex == "") $perex_note="&nbsp;Perex&nbsp;musí&nbsp;být&nbsp;vyplněn!";
	
	$nazev_en = htmlEscape(checkForNull($row['nazev_en']));
	$nazev_en_note="";

	$perex_en = htmlEscape(checkForNull($row['perex_en']));
	$perex_en_note="";

/*	
	$obsah="";
	$obsah_note="";
	if (issetGET("obsah") || $row['obsah_chyba'] != "") {
		$obsah_note = get_validity_error("cs", $id, $VALIDITY_EDIT_ACT_ERROR, 
																			"Obsah není validní!");
	}*/	
	$obsah = checkForNull($row['obsah']);

	/*
	$obsah_note_en="";
	if (issetGET("obsah_en") || $row['obsah_en_chyba'] != "") {
		$obsah_note_en = get_validity_error("en", $id, $VALIDITY_EDIT_ACT_ERROR,
																				"Obsah není validní!");
	}
	 */
	$obsah_en = checkForNull($row['obsah_en']);
	
	$mdate = $row['modifikace'];

	$rss = getBool($row['rss']);

	if (issetGET("datum")) {
		$datum_note = "Chybně vyplněné datum!";
		$cday = "";
		$cmonth = "";
		$cyear = "";
	}
	else {
		$datum_note = "";
		$cdate = $row['datum'];
		if ($cdate == $TOP_EXPIR_TEXT) {
			$cday = "";
			$cmonth = "";
			$cyear = "";
		}
		else {
			$cday = getDay($cdate);
			$cmonth = getMonth($cdate);
			$cyear = getYear($cdate);
		}
	}
}	


// **************************************************************************
// navigacni lista
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;
$nav_bar[1]="Editace aktuality";
$nav_temp = $id == null ? "" : "?id=$id";
$nav_ref[1]=$THIS_SCRIPT.$nav_temp;


// **************************************************************************
// layout

html_heading($lang, $EIZ_AUTH_TXTAR);

menu($lang, $THIS_SCRIPT, "", $EIZ_AUTH, "");

my_main($lang, $lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo $nadpis;

echo "<div class=\"obsah\">\n";

echo "<form action=\"zpracuj_aktuality.php\" method=\"post\">\n";

echo "<div class=\"horiz_menu\">\n";
tlacitko("Uložit změny", "submit", "");
tlacitko("Původní hodnoty", "reset", "");
if ($smazat) tlacitko("Smazat aktualitu", "submit", "smazat");
tlacitko("Zpět na aktuality", "submit", "zpet");
echo "</div><!-- horizon menu -->\n";

echo "<div class=\"formular_inside\">\n";

if (issetGET("bad") || ! $povolena) {
	echo "\t<div class=\"not_ok_info\">Vložené údaje nejsou kompletní</div>\n";
	echo "\t<div class=\"not_ok_info\">Aktualita se nebude zobrazovat ve veřejné části portálu</div>\n";
}

echo "<table class=\"formular\">\n";
text_form("Název (cs)*:", $nazev, "nazev", 50, $nazev_note);
text_form("Název (en):", $nazev_en, "nazev_en", 50, $nazev_en_note);
info_form("", "<span class=\"note\">* povinné údaje</span>");

empty_form();

text_form("Perex (cs):", $perex, "perex", 80, $perex_note);
text_form("Perex (en):", $perex_en, "perex_en", 80, $perex_en_note);

empty_form();

if ($ENABLE_RSS_NEWS) {
	box_form_begin("<img src=\"../$IMG_DIR/rss-small.gif\" alt=\"RSS\" /> Řadit do RSS:");
	box_form_header();
	radio_button("rss", "t", "<span class=\"label\">Ano</span>", $rss ? $CHECKED : "");
	radio_button("rss", "f", "<span class=\"label\">Ne</span>" /* (pokud je již aktualita zařazena v RSS, pak bude odebrána) */, $rss ? "" : $CHECKED);
	box_form_end();
}

empty_form();

if ($mdate != "")
	info_form("Změněna:", $mdate);
else 
	info_form("Změněna:", 
						"<span class=\"nevyplneno\">nová aktualita</span>");
date_form("Datum: ", $cyear, $cmonth, $cday, $datum_note);
empty_form();

area_form("Obsah aktuality česky:",
					/*(XHTML &ndash; <span class=\"normal\">". 
					"<a href=\"priklad.html.utf8.cs\" target=\"_blank\">".
					"pravidla</a></span>): $obsah_note", */ $obsah, 
					"obsah", $textboxsize, 10, "mceEditor"); 
area_form("Obsah aktuality anglicky:",
					/* (XHTML &ndash; <span class=\"normal\">".
					"<a href=\"priklad.html.utf8.cs\" target=\"blank\">".
					"pravidla</a></span>): $obsah_note_en", */
					$obsah_en, "obsah_en", $textboxsize, 10, "mceEditor");

echo "\t</td>\n</tr>\n</table><!-- formular -->\n";

if (issetGET("bad")) {
	echo "\t<div class=\"not_ok_info\">Vložení údajů neproběhlo úspěšně</div>\n";
	echo "\t<div class=\"not_ok_info\">Aktualita se nebude zobrazovat ve veřejné části portálu</div>\n";
}

echo "\n</div><!-- formular_inside -->\n\n";

echo "<div class=\"horiz_menu\">\n";
tlacitko("Uložit změny", "submit", "");
tlacitko("Původní hodnoty", "reset", "");
if ($smazat) tlacitko("Smazat aktualitu", "submit", "smazat");
tlacitko("Zpět na aktuality", "submit", "zpet");
echo "</div><!-- horizon menu -->\n";

if ($id != null) hidden_form("id", $id); 
echo "</form>\n";

echo "</div><!-- obsah -->\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>

