<?php

require_once("eizlibs/db_connect.php");
require_once("eizlibs/functions.php");
require_once("eizlibs/rights.php");
require_once("eizlibs/functionsv2.php");
require_once("eizlibs/layout.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

$textboxsize=73;

// **************************************************************************
// zjistime potrebne informace z databaze
connect_db();

check_rights($user, $FACULTY, $RGHT_IS_ADMIN, "", $THIS_SCRIPT);

if (($id = getGET("id")) == null) {	
	$nadpis = "<h1>Přidání nové fakulty</h1>\n";
	$fakulta = fakulta::newFakulta();

} 
else {
	$id = stringEscape($id);

	$nadpis = "<h1>Editace fakulty</h1>\n";

	$fakulta = fakulta::getFakulta($id);	
}	


// **************************************************************************
// navigacni lista
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;
$nav_bar[1]="Editace fakulty";
$nav_temp = $id == null ? "" : "?id=$id";
$nav_ref[1]=$THIS_SCRIPT.$nav_temp;


// **************************************************************************
// layout

html_heading($lang, $EIZ_AUTH_TXTAR);

menu($lang, $THIS_SCRIPT, "", $EIZ_AUTH, "");

my_main($lang, $lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo $nadpis;

echo "<div class=\"obsah\">\n";

echo "<form action=\"zpracuj_fakultu.php\" method=\"post\">\n";

echo "<div class=\"horiz_menu\">\n";
tlacitko("Uložit změny", "submit", "");
tlacitko("Původní hodnoty", "reset", "");
tlacitko("Zpět na fakulty", "submit", "zpet");
echo "</div><!-- horizon menu -->\n";

echo "<div class=\"formular_inside\">\n";

if ($fakulta->isBad()) {
	echo "\t<div class=\"not_ok_info\">Vložené údaje nejsou kompletní!</div>\n";
	echo "\t<div class=\"not_ok_info\">Zobrazení fakulty na Portálu EIZ nebude korektní!</div>\n";
}

echo "<table class=\"formular\">\n";
text_form("Zkratka:", $fakulta->zkratka, "zkratka", 10, '');
if ($ENABLE_SHIBBOLETH_AUTH) text_form("Shibboleth ID:", $fakulta->shib_id, "shib_id", 30, '');
text_form("Název (cs)*:", $fakulta->nazev, "nazev", 50, '');
text_form("Název (en):", $fakulta->nazev_en, "nazev_en", 50, '');

echo "\t</td>\n</tr>\n</table><!-- formular -->\n";

echo "\n</div><!-- formular_inside -->\n\n";

echo "<div class=\"horiz_menu\">\n";
tlacitko("Uložit změny", "submit", "");
tlacitko("Původní hodnoty", "reset", "");
tlacitko("Zpět na aktuality", "submit", "zpet");
echo "</div><!-- horizon menu -->\n";

if ($id != null) hidden_form("id", $id); 
echo "</form>\n";

echo "</div><!-- obsah -->\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>

