<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

// $RSS pouze pravo RGHT_IS_ADMIN
check_rights($user, null, $RGHT_IS_ADMIN, "", $THIS_SCRIPT);

//navigace
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;
$nav_bar[1]=$NAV_RSS;
$nav_ref[1]=$THIS_SCRIPT;

$doc = new DOMDocument();
$doc->load("../$RSS_FILE");

$items = $doc->getElementsByTagName("item");

$titles = array();
$guids = array();

foreach ($items as $item) {

	array_push($guids, $item->getElementsByTagName("guid")->item(0)->textContent);
	array_push($titles, $item->getElementsByTagName("title")->item(0)->textContent);
}

/*
$doc->load("../$RSS_FILE_EN");
$items = $doc->getElementsByTagName("item");

$titles_en = array();
$guids_en = array();

foreach ($items as $item) {

	array_push($guids_en, $item->getElementsByTagName("guid")->item(0)->textContent);
	array_push($titles_en, $item->getElementsByTagName("title")->item(0)->textContent);
}

 */

html_heading($lang, $EIZ_AUTH);

menu($lang, "$THIS_SCRIPT", "", $EIZ_AUTH, "");

my_main($lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>Editace obsahu RSS</h1>\n";

echo "<div class=\"obsah\">\n\n";

echo "<form action=\"zpracuj_rss.php\" method=\"post\">\n";

echo "<table class=\"rss\">\n";
echo "<tr><th>";
echo "<div class=\"rss_toggle\"><a href=\"javascript:setAllChecked('cz')\">Vyber vše</a>";
echo "&nbsp;<a href=\"javascript:setAllUnChecked('cz')\">Zruš výběr</a></th>";
//echo "<th>En</th></tr>\n";

echo "<tr><td class=\"rss\">\n";
foreach($guids as $klic => $guid) {
	echo "<div class=\"rss_polozka\">";
	raw_check_box($guid, "", false);
	echo "&nbsp;$titles[$klic] ($guid)</div>\n";
}
/*
echo "</td>\n<td class=\"rss\">\n";
foreach($guids_en as $klic => $guid) {
	echo "<div class=\"rss_polozka\">";
	raw_check_box("en".$guid, "rss", false);
	echo "&nbsp;$titles_en[$klic] ($guid)</div>";
}
 */

echo "</td>\n</tr>\n</table>\n";

echo "<div class=\"horiz_menu\">\n";
tlacitko("Vymaž označené", "submit", "");
//tlacitko("Odznač vše", "reset", "");
echo "</div><!-- horizon menu -->\n";

echo "</form>\n";

echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>
