<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

// **************************************************************************
// nacti uzivatele
$query = "SELECT * FROM spravci WHERE login='$user'";
$result = pg_query($query);
db_one_row($result, $user, $_SERVER['PHP_SELF'], "User login conflict error!", 
						$lang);
$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);
$jmeno = getFullName($row['titul_pred'], $row['jmeno'], $row['prijmeni'], 
											$row['titul_za']);
$pid=$row['pid'];
$email=$row['email'];
$admin=getBool($row['je_admin']);
$opravneni=$admin ? 
						"<span class=\"pristup_info\">administrátorský účet</span>" :
						"<span class=\"pristup_info\">uživatelský účet</span>";

// ************************************************************************
// uzivatel dal zpet v editaci a zname i jeho PID, odemkni zdroj
/*
if (issetGET("unlock")) {
	$type_unlock = getGET("unlocktype");
	$what_unlock = getGET("unlock");
	if (($lock = unlock($pid, $what_unlock, $type_unlock,  
		$_SERVER['PHP_SELF'])) != $UNLOCKED) {
		logit($user, $_SERVER['PHP_SELF'], "User cannot unlock $type_unlock, $what_unlock ($lock)!", 
					$LOG_LCK);
		//print_error_page($lang);
	}
}
 */

						
// **************************************************************************
// uzivatel je odpovedny za tyto zdroje
$query = "SELECT	zdroj_id, zkratka, aktivni, expirace, kategorie,".
								"	zamek, zamek_cas".
					" FROM zdroje".
					" WHERE odpovedny_spravce='$pid'".
					" ORDER BY zkratka";
$result = pg_query($query);
$zdroje_pocet = pg_num_rows($result);

// **************************************************************************
// uzivatel je odpovedny za tyto casopisy
if ($SHOW_MENU_CASOPISY_AUTH) {
$query = "SELECT  casopis_id, titul, aktivni, expirace, zamek".
					" FROM casopisy".
					" WHERE odpovedny_spravce='$pid' AND $DELETED_MAGAZINE_COND".
					" ORDER BY titul";
$result_casopisy = pg_query($query); 
$casopisy_pocet = pg_num_rows($result_casopisy);
}

// *************************************************************************
// uzivatel je zodpovedny za tyto knihy
$query = "SELECT  kniha_id, titul, aktivni, expirace, zamek FROM knihy".
	" WHERE odpovedny_spravce='$pid' ORDER BY titul";
$result_knihy = pg_query($query); 
$knihy_pocet = pg_num_rows($result_knihy);


// **************************************************************************
// administrator muze mit i zamky na cizich entitach, vypiseme je
if ($admin) {
	$query = "SELECT	zdroj_id, zkratka, zamek FROM zdroje".
						" WHERE zamek='$pid' AND odpovedny_spravce<>'$pid'". 
						" ORDER BY zkratka";
	$result_zamky = pg_query($query);
	$zamky_pocet = pg_num_rows($result_zamky);

	if ($SHOW_MENU_CASOPISY_AUTH) {
	$query = "SELECT casopis_id, titul, zamek FROM casopisy".
						" WHERE zamek='$pid' AND odpovedny_spravce<>'$pid'".
						" AND $DELETED_MAGAZINE_COND".
						" ORDER BY titul";
	$result_casopis_zamky = pg_query($query);
	$casopis_zamky_pocet = pg_num_rows($result_casopis_zamky);
	}

	$query = "SELECT kniha_id, titul, zamek FROM knihy".
						" WHERE zamek='$pid' AND odpovedny_spravce<>'$pid'".
						" ORDER BY titul";
	$result_kniha_zamky = pg_query($query);
	$kniha_zamky_pocet = pg_num_rows($result_kniha_zamky);

}


						
//navigace
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;


html_heading($lang, $EIZ_AUTH);

menu($lang, "$THIS_SCRIPT", "", $EIZ_AUTH, "");

my_main($lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>Stránka uživatele \"$user\"</h1>\n";

echo "<div class=\"obsah\">\n\n";

echo "<form action=\"redir.php\" method=\"POST\">\n";

echo "<div class=\"homepage_info\">\n";
echo "<table class=\"homepage_info\">\n";
echo "\t<tr>\n\t\t<td class=\"uzivatel_label\">Jméno: </td>\n";
echo "\t\t<td class=\"uzivatel_hodnota\"><span class=\"jmeno\"><a href=\"http://wwwdata.muni.cz/people/?PID=$pid\">$jmeno</a></span></td>";
echo "\n\t</tr>\n";
echo "\t<tr>\n\t\t<td class=\"uzivatel_label\">Login: </td>\n";
echo "\t\t<td class=\"uzivatel_hodnota\">$user</td>\n\t</tr>\n";
echo "\t<tr>\n\t\t<td class=\"uzivatel_label\">Email: </td>\n"; 
echo "\t\t<td class=\"uzivatel_hodnota\">$email</td>\n\t</tr>\n";
echo "\t<tr>\n\t\t<td class=\"uzivatel_label\">Oprávnění: </td>\n";
echo "\t\t<td class=\"uzivatel_hodnota\">$opravneni</td>\n\t</tr>\n";
echo "</table><!-- homepage info -->\n";
echo "</div><!-- homepage info -->\n";

echo "<div class=\"horiz_menu\">\n";
tlacitko("Upravit údaje", "submit", "index_udaje");
tlacitko("Změnit heslo", "submit", "index_heslo");
echo "</div><!-- horizon menu -->\n";


echo "<div class=\"homepage_info\">\n";
echo "<table class=\"homepage_info\"><tr><td>\n";
echo "<div class=\"maly_nadpis\">";
echo "Jste odpovědným správcem těchto EIZ:";
echo "</div>\n";

//echo substr(getUserInfo($user, "index.php"), strpos(getUserInfo($user, "index.php"), $USER_MARKER)+1), 1);

if ($zdroje_pocet <= 0) {
	echo "<div class=\"pristup_info\">";
	echo "Nejste odpovědným správcem žádného zdroje.</div>\n";
}
else {
	echo "<div class=\"polozka\">\n";

	$zdroje = "";
	while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {

		$zdroje = $zdroje . 
							getSourceToShow($row['zdroj_id'], $row['zkratka'], 
															$row['kategorie'], $row['zamek'],  
															$row['aktivni'], $row['expirace']);		
	}
	
	echo normalizeList($zdroje);	
	echo "\n</div><!-- polozka -->\n";
}

echo "</td></tr>\n";

if ($admin) {	
	if ($zamky_pocet > 0) {
		echo "<tr><td>&nbsp;</td></tr>\n";
		echo "<tr><td>\n";
		echo "<div class=\"maly_nadpis\">";
		echo "Seznam vašich zámků na zdrojích uživatelů: ";
		echo "</div>\n";
		
		echo "<div class=\"polozka\">\n";
		
		$zdroje = "";
		while ($row = pg_fetch_array($result_zamky, NULL, PGSQL_ASSOC)) {
			
			$zdroje = $zdroje . 
								getSourceToShow($row['zdroj_id'], $row['zkratka'], 0, 
																$row['zamek'], false, $TOP_EXPIR);
				
		}
		echo normalizeList($zdroje);
		echo "\n</div>\n";
		echo "</td></tr>\n";
	}
}



echo "<tr><td>&nbsp;</td></tr>\n";


if ($SHOW_MENU_CASOPISY_AUTH) {
echo "<tr><td>\n";
echo "<div class=\"maly_nadpis\">";
echo "Seznam vašich časopisů: ";
echo "</div>\n";

if ($casopisy_pocet <= 0) {
	echo "<div class=\"pristup_info\">";
	echo "Nejste odpovědným správcem žádného časopisu.</div>\n";
}
else {

	echo "<div class=\"polozka\">\n";
	$casopisy = "";
	while ($row = pg_fetch_array($result_casopisy, NULL, PGSQL_ASSOC)) {
		$casopisy = $casopisy .
			getMagazineToShow($row['casopis_id'], $row['titul'], 
													getBool($row['aktivni']), $row['expirace'], 
													false, $row['zamek']);
	}
	echo normalizeList($casopisy);
	echo "\n</div>\n";
}

if ($admin) {	
	if ($casopis_zamky_pocet > 0) {
		echo "<tr><td>&nbsp;</td></tr>\n";
		echo "<tr><td>\n";
		echo "<div class=\"maly_nadpis\">";
		echo "Seznam vašich zámků na časopisech uživatelů: ";
		echo "</div>\n";
		
		echo "<div class=\"polozka\">\n";
		
		$casopisy = "";
		while ($row = pg_fetch_array($result_casopis_zamky, NULL, PGSQL_ASSOC)) {
			
			$casopisy = $casopisy . 
								getMagazineToShow($row['casopis_id'], $row['titul'],
									               	false, $TOP_EXPIR,
																	false, $row['zamek']);
				
		}
		echo normalizeList($casopisy);
		echo "\n</div>\n";
		echo "</td></tr>\n";
	}
}


echo "</td></tr>\n";
}

echo "<tr><td>&nbsp;</td></tr>\n";

$admin = getIsAdmin(getUserInfo($user, $THIS_SCRIPT));

echo "<tr><td>\n";
echo "<div class=\"maly_nadpis\">";
echo "Seznam vašich e-knih: ";
echo "</div>\n";

if ($knihy_pocet <= 0) {
	echo "<div class=\"pristup_info\">";
	echo "Nejste odpovědným správcem žádné elektronické knihy.</div>\n";
}
else {

	echo "<div class=\"polozka\">\n";
	$knihy = "";
	while ($row = pg_fetch_array($result_knihy, NULL, PGSQL_ASSOC)) {
		$knihy = $knihy .
			getBookToShow($row['kniha_id'], $row['titul'], 
			getBool($row['aktivni']), $row['expirace'], $row['zamek'], 
			"uzivatel=1");
	}
	echo normalizeList($knihy);
	echo "\n</div>\n";
}

if ($admin) {	
	if ($kniha_zamky_pocet > 0) {
		echo "<tr><td>&nbsp;</td></tr>\n";
		echo "<tr><td>\n";
		echo "<div class=\"maly_nadpis\">";
		echo "Seznam vašich zámků na knihách uživatelů: ";
		echo "</div>\n";
		
		echo "<div class=\"polozka\">\n";
		
		$knihy = "";
		while ($row = pg_fetch_array($result_kniha_zamky, NULL, PGSQL_ASSOC)) {
			
			$knihy = $knihy . getBookToShow($row['kniha_id'], $row['titul'],
				false, $TOP_EXPIR, $row['zamek'],
			"uzivatel=1");
				
		}
		echo normalizeList($knihy);
		echo "\n</div>\n";
		echo "</td></tr>\n";
	}
}

echo "</td></tr>\n";


echo "<tr><td>\n";
printLegend();
printMagazineLegend();
if ($admin) printBookLegend();
echo "</td></tr>\n";

echo "</table><!-- homepage info -->\n";
echo "</div><!-- homepage info -->\n";

echo "<div class=\"horiz_menu\">\n";
tlacitko("Přidat nový zdroj", "submit", "index_novy");
if ($SHOW_MENU_CASOPISY_AUTH)
	tlacitko("Přidat nový časopis", "submit", "index_casopis");
if ($admin) tlacitko("Přidat novou knihu", "submit", "index_kniha");
echo "</div><!-- horizon menu -->\n";

echo "</form>\n";

echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>
