<?php

require_once("../eizlibs/logging.php");
$om = setLogging($DISPLAY_ERRORS);

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");
require_once("eizlibs/file_class.php");

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

$id = stringEscape(getPOST("id"));

if (issetPOST("smaz_ne")) {
	$kam = "casopis.php?id=$id&unlock=$id";
	header("Location: $kam");
	exit(0);
}

$nazev = getPOST("zkratka");

connect_db();

$userinfo = check_rights($user, $MAGAZINE, $RGHT_DELETE, $id, 
	$_SERVER['PHP_SELF']);

if (is_locked($user, $id, $MAGAZINE, $THIS_SCRIPT) != getPid($userinfo)) {
	logit($user, $_SERVER['PHP_SELF'], 
		"Journal $id is not locked!".pg_last_error(), $LOG_LCK);
	print_error_page($lang);
	exit(0);
}

// smaz soubory prislusejici zdroji
if (! soubor::deleteFilesFor($id, $JOURNAL)) {
	logit($user, $_SERVER['PHP_SELF'],
		"Cannot delete files for journal $id!", $LOG_ERR);
 	print_error_page($lang);
	exit(0);
}

$query = "UPDATE casopisy SET smazat='t' WHERE casopis_id='$id'";
$result = pg_query($query);

logit($user, $_SERVER['PHP_SELF'], 
	"User successfully marked magazine '$id' ($nazev) for delete.", $LOG_ACT);
header("Location: index.php");

unsetLogging($DISPLAY_ERRORS, $om);
?>
