<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

check_rights($user, $NEWS, $RGHT_IS_ADMIN, $id, $_SERVER['PHP_SELF']);

$kam = "aktuality.php";
$akce = "smaz_aktualitu.php";
$id = stringEscape(getGET("id"));

//navigace
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;
$nav_bar[1]="Smazání aktuality";
$nav_ref[1]="$THIS_SCRIPT?id=$id";

html_heading($lang, $EIZ_AUTH);

menu($lang, "$THIS_SCRIPT", "", $EIZ_AUTH, "");

my_main($lang, $lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>Smazání aktuality</h1>\n";

echo "<div class=\"obsah\">\n\n";

yes_no("Opravdu si přejete smazat záznam s touto aktualitou?", $id, "", 
				$kam, $akce);

echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);
?>
