<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");

require_once('eizlibs/navigation_class.php');

$om = setLogging($DISPLAY_ERRORS);

// **************************************************************************
// funkce
function getLock($id, $zamek, $zamek_cas) 
{
	global $IMG_DIR, $SOURCE;
		//$obr = getSourceIcon("..", $aktivni , $expirace, $zamek, 0);
		if ($zamek != null) {
			$cas=getDay($zamek_cas).".";
			$cas.=getMonth($zamek_cas).".";
			$cas.=getYear($zamek_cas). " ";
			$cas.=getTime($zamek_cas);
			$zam_str = "<a href=\"odemkni.php?id=$id&typ=$SOURCE\"><img src=\"../$IMG_DIR/odemknout.gif\" alt=\"Odemkni zdroj.\" /></a> ($cas)";
		}
		else $zam_str="";
		
		return $zam_str;
}

function vyber_horizon_menu($stype, $params)
{
	$kam = "vyber.php$params&stype=";

	echo "<div class=\"horiz_menu\">\n";
	if ($stype == navigation::NAV_TYPE_ALL) 
		tlacitkoA_active("Zobraz vše", $kam.navigation::NAV_TYPE_ALL); 
	else tlacitkoA("Zobraz vše", $kam.navigation::NAV_TYPE_ALL);
	
	if ($stype == navigation::NAV_TYPE_LIC) 
		tlacitkoA_active("Licencované", $kam.navigation::NAV_TYPE_LIC);
	else tlacitkoA("Licencované", $kam.navigation::NAV_TYPE_LIC);
	
	if ($stype == navigation::NAV_TYPE_FREE) 
		tlacitkoA_active("Free", $kam.navigation::NAV_TYPE_FREE);
	else tlacitkoA("Free", $kam.navigation::NAV_TYPE_FREE);
	
	if ($stype == navigation::NAV_TYPE_TRIAL) 
		tlacitkoA_active("Free-trial", $kam.navigation::NAV_TYPE_TRIAL);
	else tlacitkoA("Free-trial", $kam.navigation::NAV_TYPE_TRIAL);
	
	if ($stype == navigation::NAV_TYPE_LOCK) 
		tlacitkoA_active("Uzamknuté", $kam.navigation::NAV_TYPE_LOCK);
	else tlacitkoA("Uzamknuté", $kam.navigation::NAV_TYPE_LOCK);
	
	if ($stype == navigation::NAV_TYPE_LINK) 
		tlacitkoA_active("Užitečné odkazy", $kam.navigation::NAV_TYPE_LINK);
	else tlacitkoA("Užitečné odkazy", $kam.navigation::NAV_TYPE_LINK);
	echo "</div><!-- horizon menu -->\n";
}

// **************************************************************************
// stranka

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

$userinfo = check_rights($user, null, $RGHT_IS_ADMIN, 0, $_SERVER['PHP_SELF']);


$navigace = navigation::getNavigation($SOURCE, $THIS_SCRIPT);
$params_in = "?ntype=$navigace->ntype";
$spravce = null;
if ($navigace->value1 !=  navigation::NAV_VAL_NOT_DEF) {
	$params_in .= "&value1=$navigace->value1";
	$spravce = $navigace->value1;
}

$abecedne = false; 
$expirace = false;
$spravci = false;

switch($navigace->ntype) {
default:
case navigation::NAV_TYPE_ABECEDNE: 
	$abecedne = true;
	$title = $NAV_VYBER_ABECEDNE;
	break;
case navigation::NAV_TYPE_EXPIRACE:
	$expirace = true;
	$title = $NAV_VYBER_EXPIRACE;
	break;
case navigation::NAV_TYPE_SPRAVCI:
	$spravci = true;
	$title = $NAV_VYBER_SPRAVCI;
	break;
}


$cond = "";
$params = "&stype=$navigace->stype";

switch ($navigace->stype) {
case navigation::NAV_TYPE_LIC:
	$cond="kategorie='$KAT_LICENCOVANY'";
	$nav_mod = $NAV_VYBER_LIC;
	break;
case navigation::NAV_TYPE_FREE:
	$cond="kategorie='$KAT_FREE'";
	$nav_mod = $NAV_VYBER_FREE;
	break;
case navigation::NAV_TYPE_TRIAL:
	$cond="kategorie='$KAT_FREE_TRIAL'";
	$nav_mod = $NAV_VYBER_FREETRIAL;
	break;
case navigation::NAV_TYPE_LOCK:
	$cond="zamek IS NOT NULL";
	$nav_mod = $NAV_VYBER_LOCK;
	break;
case navigation::NAV_TYPE_LINK:
	$cond="kategorie='$KAT_USEFUL'";
	$nav_mod = $NAV_VYBER_LINK;
	break;
default:
	$nav_mod = $NAV_VYBER_VSE;
	break;
}


$all_params = $params_in.$params;

// **************************************************************************
// dotazy

// podminka (dle tlacitek v horni liste)
$zdroje = array();

// *************************** spravci **************************************
// fix it -- we read all admins although it is not necessary, but it is better 
//           to make select to get admin for each source
// spravce potrebujeme urcite 
$pids = array();
$prijmenis = array();
$query_admin = "SELECT pid, prijmeni, fakulta FROM spravci". 
								" WHERE login IS NOT NULL ORDER BY prijmeni";
$result = pg_query($query_admin);
while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
	array_push($pids, $row['pid']);
	array_push($prijmenis, $row['prijmeni']);
}



// prepare sources by given admin
if ($spravce != null) {
	$cond = trim($cond) != "" ? "AND ($cond)" : "";
	$query_spravce = "SELECT zdroj_id, zkratka, aktivni, rss,".
												"	expirace, kategorie, zamek, zamek_cas". 
										" FROM zdroje".
										" WHERE (odpovedny_spravce=$spravce) $cond".
										" ORDER BY zkratka";
	
	//echo $query_spravce;
	$result = pg_query($query_spravce);
	
	while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
		$zdroj_id=$row['zdroj_id'];
		$nazev=$row['zkratka'];
		$aktivni=getBool($row['aktivni']);
		$expirace_val=getTopExpirace($row['expirace']);
		$kat = $row['kategorie'];
		$kategorie=getKategorieText($row['kategorie']);
		$zamek=getInt($row['zamek']);
		$zamek_cas=$row['zamek_cas'];
		$rss = getBool($row['rss']) ? "&nbsp;<img src=\"../$IMG_DIR/rss-small.gif\" alt=\"RSS\" />&nbsp;" : "";

		//echo "<div class=\"zdroj_admin\">\n";
		$to_print = "";
		$obr = getSourceIcon("..", $aktivni, $expirace_val, $zamek, $kat);
		$to_print .= "\t<a href=\"zdroj.php$all_params&id=$zdroj_id\">$obr</a> ";
		$to_print .="\t<a href=\"zdroj.php$all_params&id=$zdroj_id\">" 
			.htmlEscape($nazev) ."</a>"." $kategorie ";
		if ($ENABLE_RSS_SOURCES) $to_print .= $rss;
		$to_print .= getLock($zdroj_id, $zamek, $zamek_cas);
			
		array_push($zdroje, $to_print);
		//echo "</div><!-- zdroj admin -->\n";
	}
}

// ********************* abecedne, expirace ********************************
// default je abecedni, nicmene spravce uz jsme nacetli a chcem-li pouze je,
// pak nebudeme provadet dalsi dotazy
if (! $spravci) {

	$cond = trim($cond) != "" ? "WHERE $cond" : "";
	
	$query ="SELECT zdroj_id, zkratka, aktivni, expirace, rss,".
								"	odpovedny_spravce, kategorie, zamek, zamek_cas".
					"	FROM zdroje $cond ORDER BY zkratka";
					
	// we want to get source by expirace
	if ($expirace) {
		$query ="SELECT zdroj_id, zkratka, aktivni, expirace, rss, ".
									"	odpovedny_spravce, kategorie, zamek, zamek_cas".
						"	FROM zdroje $cond ORDER BY expirace, zkratka";
	}

	// so we get the result of query 
	$result = pg_query($query);

	// pripravime si data

	$char = ' ';
	while ($row = pg_fetch_array($result, NULL, PGSQL_BOTH)) {
		
		$zdroj_id = $row['zdroj_id'];
		$nazev = $row['zkratka'] == "" ? $zdroj_id : $row['zkratka'];
		$aktivni = getBool($row['aktivni']);
		$expirace_val = getTopExpirace($row['expirace']);
		$kat = $row['kategorie'];
		$kategorie = getKategorieText($row['kategorie']);
		$zamek = getInt($row['zamek']);
		$zamek_cas = $row['zamek_cas'];
		$odpovedny_spravce = $row['odpovedny_spravce'];
		$rss = getBool($row['rss']) ? "&nbsp;<img src=\"../$IMG_DIR/rss-small.gif\" alt=\"RSS\" />&nbsp;" : "";

		$prijmeni = "<span class=\"monotyp\">neznámý</span>";
		foreach ($pids as $klic => $val) {
			if ($val == $odpovedny_spravce) {
				$prijmeni = $prijmenis[$klic];
				break;
			}
		}
		
		$to_print = "";
	
		$index = ord($nazev[0]);
		if ($index < 127) {
			$znak = $nazev[0];
		}
		
		if (ord($znak) != $char) {
			$char = ord($znak);
			$to_print .= "<a name=\"c$char\"></a>";
		}

		$obr = getSourceIcon("..", $aktivni, $expirace_val, $zamek, $kat);
	
		$platnost="";
		if ($expirace) {
			if ($row['expirace'] != NULL) {
				$platnost="($expirace_val) ";
			}
			else $platnost="($TOP_EXPIR_TEXT) ";
		}
		
		
		$to_print .= "<a href=\"zdroj.php$all_params&amp;id=$zdroj_id\">$obr</a> ";	
		$to_print .= "$platnost ";
		$to_print .= "<a href=\"zdroj.php$all_params&amp;id=$zdroj_id\">"
			.htmlEscape($nazev) ."</a>". " $kategorie ";
		$to_print .= "[<span class=\"ital\">$prijmeni</span>] ";
		if ($ENABLE_RSS_SOURCES) $to_print .= $rss;
		$to_print .= getLock($zdroj_id, $zamek, $zamek_cas);
		
		array_push($zdroje, $to_print);
		
		//echo "</div>\n";
	}
}



// ************************************************************************
// navigacni lista
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;
$nav_bar[1]="$NAV_VYBER_SEZNAM &ndash; $title";
$nav_ref[1]="vyber.php$params_in";

// jeste modifikacni tlacitka musime zobrazit
$nav_bar[2]=$nav_mod;
$nav_ref[2]="vyber.php$params_in$params";

if ($spravce != null) {	
	$query = "SELECT prijmeni FROM spravci WHERE pid='$spravce'";
	$result = pg_query($query);
	$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);
	
	$nav_prijmeni = $row['prijmeni'];
	$nav_bar[2]=$nav_prijmeni;
	$nav_ref[2]="vyber.php$params_in";

	$nav_bar[3]=$nav_mod;
	$nav_ref[3]="vyber.php$params_in$params";
}


// ****************************************************************************
// layout

html_heading($lang, $EIZ_AUTH);

menu($lang, $THIS_SCRIPT, $params, $EIZ_AUTH, "");

my_main($lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>Seznam zdrojů &ndash; $title</h1>\n\n";

echo "<div class=\"obsah\">\n";

// generuj abededu vcetne odkazu na zdroje 
if ($abecedne || $spravci) {
	generate_alphabet();
	$char = ' ';
}

//echo "\n<form action=\"vyber.php$params_in\" method=\"post\">\n";
vyber_horizon_menu($navigace->stype, $params_in);
//echo "</form>\n";

printLegend();

echo "<div class=\"seznam_admin\">\n";

// vypisujeme-li zdroje abecedne ci dle expirace, tahame ta sama data
if ($abecedne || $expirace) {
	foreach ($zdroje as $zdroj) {
		echo "\t<div class=\"zdroj_admin\">\n";
		echo "\t\t$zdroj\n";
		echo "\t</div><!-- zdroj admin -->\n";
	}
}

// vypisujeme zdroje dle spravcu
if ($spravci) {
	foreach($pids as $klic => $pid) {
		$prijmeni = $prijmenis[$klic];
		
		echo "<div class=\"seznam\">\n";
		
		$ntype="?ntype=".navigation::NAV_TYPE_SPRAVCI;
		
		if ($spravce != $pid) {
			echo "<div class=\"plus\">";
			echo "<a href=\"vyber.php$ntype&value1=$pid\">";
			echo "<img src=\"../$IMG_DIR/plus.gif\" alt=\"plus\" /></a>";
			echo "&nbsp;<a href=\"vyber.php$ntype&value1=$pid\">";
			echo "<span class=\"spravce\">$prijmeni</span></a></div>\n";
		}
		else {	
			echo "<div class=\"minus\">";
			echo "<a href=\"vyber.php$ntype\">";
			echo "<img src=\"../$IMG_DIR/minus.gif\" alt=\"minus\" /></a>";
			echo "&nbsp;<a href=\"vyber.php$ntype\">";
			echo "<span class=\"spravce\">$prijmeni</span></a></div>\n";

			echo "<div class=\"podseznam\">\n";

			foreach($zdroje as $zdroj) {
				echo "\t<div class=\"zdroj_admin\">\n";
				echo "\t\t$zdroj\n";
				echo "\t</div><!-- zdroj admin -->\n";
			}
			echo "</div><!-- podseznam -->\n";
		}
		echo "</div><!-- vyrovnej seznam -->\n";
	}
}

echo "</div><!-- seznam admin -->\n";

//echo "<form action=\"vyber.php$params_in\" method=\"post\">\n";
vyber_horizon_menu($navigace->stype, $params_in);

//echo "</form>\n";

echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>
	

