<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");
require_once("../eizlibs/classes.php");
require_once("../eizlibs/rss.php");
require_once("../eizlibs/verde.php");

require_once("eizlibs/fakulta_class.php");

$om = setLogging($DISPLAY_ERRORS);

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

$lang = "cs";

$user = getUser();

$id = getPOST("id");

// delam-li kopii, je to totez, co novy zdroj
if (issetPOST("kopie")) {
	$id=null;
}

// uzivatel chce zpet na knihu
if (issetPOST("kniha")) {
	if ($id != null) $zpet_par="&unlock=$id";
	else $zpet_par="";
	header("Location: kniha.php?id=$id$zpet_par");
	exit(0);
}

// **************************************************************************
// zpracovani odeslaneho formulare

connect_db();

$userinfo = getUserInfo($user, $_SERVER['PHP_SELF']);
$pid = getPid($userinfo);
$admin = getIsAdmin($userinfo);

// nasledujici globalni promenne je potreba deklarovat kvuli volani checkForm
$bad="";
$add_query="";

//checkForm("nazev");
//$bad .= checkForm("titul");


// zjistit nastaveni povinnych fomularu a linku na strance
/*
if ($ANY_LINK) {
	if (checkForm("odkaz") != "" &&
		checkForm("odkaz_extra_cz") != "" &&
		checkForm("odkaz_onelog_en") != "" &&
		checkForm("odkaz_onelog_cz") != "")
		$bad .= "&any=1";
}
else {
	
	if ($DIRECT_LINK_MANDATORY) {

		if ($ENABLE_EXTRA_CZECH_LINK) {

			if (checkForm("odkaz_extra_cz") != "" && checkForm("odkaz") != "") {
				$bad .= checkForm("odkaz");
			}
		}
		else {
			$bad .= checkForm("odkaz");
		}
	}

	if ($ENABLE_ONELOG_LINK) {

		if ($ONELOG_LINK_MANDATORY) {

			if (checkForm("odkaz_onelog_en") != "" 
				&& checkForm("odkaz_onelog_cz") != "") {
				$bad .= checkForm("odkaz_onelog_en");
			}
		}
	}
}
 */

// nasledujici tri mame kvuli insertu
$autori = stringEscape(getPOST("autori"));
$titul = stringEscape(getPOST("titul"));
$odkaz = stringEscape(getPOST("odkaz"));

$producent = stringEscape(getPOST("producent"));
$producent_odkaz = stringEscape(getPOST("producent_odkaz"));

$vydavatel = stringEscape(getPOST("vydavatel"));
$vydavatel_odkaz = stringEscape(getPOST("vydavatel_odkaz"));

$ext_id = getInt(getPOST("ext_id"));

$strucny_popis = stringEscape(getPOST("strucny_popis"));
$strucny_popis_en = stringEscape(getPOST("strucny_popis_en"));

$popis = stringEscape(getPOST("popis"));
$popis_en = stringEscape(getPOST("popis_en"));

$rok_vydani = stringEscape(getPOST("rok_vydani"));
$misto_vydani = stringEscape(getPOST("misto_vydani"));
$isbn = stringEscape(getPOST("isbn"));
$pocet_stran = stringEscape(getPOST("pocet_stran"));
$misto_vydani = stringEscape(getPOST("misto_vydani"));

$den = getPOST("den");
$mesic = getPOST("mesic");
$rok = getPOST("rok");
$expirace = makeDate($rok, $mesic, $den);

$aktivni_od_rok = getPOST("arok");
$aktivni_od_mesic = getPOST("amesic");
$aktivni_od_den = getPOST("aden");

$aktivni_od = makeDate($aktivni_od_rok, $aktivni_od_mesic, $aktivni_od_den);



if ($expirace == $INF_EXPIR || $expirace == null) {
	if ($expirace == null) $bad.="&expirace=1";
	$expirace_query = "expirace='$TOP_EXPIR_TEXT',";
	$expirace = "'$TOP_EXPIR_TEXT'";
}
else {
	$expirace_query = "expirace='$expirace',";
	$expirace = "'$expirace'";
}

if ($aktivni_od == $INF_EXPIR || $aktivni_od == null) {
	if ($aktivni_od == null) $bad.="&aktivni_od=1";
	$aktivni_od_query = "aktivni_od='$BOTTOM_EXPIR_TEXT',";
	$aktivni_od = "'$BOTTOM_EXPIR_TEXT'";
}
else {
	$aktivni_od_query = "aktivni_od='$aktivni_od',";
	$aktivni_od = "'$aktivni_od'";
}

$linker_db=stringEscape(getPOST('linker_db'));



$financovani = stringEscape(getPOST("financovani"));
$licence = stringEscape(getPOST("licence"));
$poznamka = stringEscape(getPOST("poznamka"));

//$typ = getTyp(getPOST("typ"));
$jazyk = stringEscape(getJazyk(getPOST("jazyk")));
$zarazeni = getZarazeni(getPOST("zarazeni"));
$aktivni = getBool(getPOST("aktivni"));
$prev_aktivni = getBool(getPOST("prev_aktivni"));
$rss = getBool(getPOST("rss"));
$old_rss = getBool(getPOST("old_rss")); // potrebuji vedet jestli je jiz zdroj v RSS
$novinky = getBool(getPOST("novinky"));
$multioborovy = getBool(getPOST("multioborovy"));
$kategorie = getKategorie(getPOST("kategorie"));
$vytvoren = getPOST("vytvoren");
$kontaktni_osoba = stringEscape(getPOST("kontakt"));
$odpovedny_spravce = stringEscape(getPOST("admin"));

$titul_extra_cz = stringEscape(getPOST("titul_extra_cz"));
if ($titul_extra_cz == "") $titul_extra_cz=$titul;
$odkaz_extra_cz = stringEscape(getPOST("odkaz_extra_cz"));
$odkaz_onelog_en = stringEscape(getPOST("odkaz_onelog_en"));
$odkaz_onelog_cz = stringEscape(getPOST("odkaz_onelog_cz"));

$rss_comm = getPOST("rss_comm");
$rss_comm_en = getPOST("rss_comm_en");

$verde_id = stringEscape(getPOST("verde_id"));

if ($bad != "") $povoleny="f";
else $povoleny="t";

// je-li nova kniha vporadku a aktivni a ma povolene RSS, pak zapis, ze 
// je v zarazena v RSS 
$rss_zapis = $rss && $povoleny && $aktivni ? "t" : "f";

if ($aktivni) $aktivni_zapis="t";
else $aktivni_zapis="f";

if ($novinky) $novinky_zapis="t";
else $novinky_zapis="f";

if ($multioborovy) $multioborovy="t";
else $multioborovy="f";


if ($ENABLE_VERDE && issetPOST("verde")) {
	
	// nejdriv pres SOAP
	$client = connectVerde();
	$item = getVerdeItem($client, "CEP_1123333867155_610913");

	$producent = $item->licsences->licensor;
	$expirace = $item->licsences->endDate;
	//$financovani = $item->admin->creatorFullName;
	
	

	// pak pres DeepLink
	$doc = new DOMDocument();

	$doc = getVerdeDeeplink($doc, $verde_id);

	$xpath = new DOMXPath($doc);
	
	$eproduct_path = "/verde/body/data/eproduct";
	$titles = $xpath->query("$eproduct_path/title");	

	$zkratka = $titles->item(0)->textContent;
	$nazev_extra_cz = $zkratka;


}



// vkladame novou knihu, pripadne ji updatujeme 
if ($id == null) {
	$new=true;
	// pozor - defaultne se po pridani nastavi RSS na false
	$query = "INSERT INTO knihy (id, autori, titul, odkaz, producent,".
		"	producent_odkaz, vydavatel, vydavatel_odkaz, rok_vydani,".
		" misto_vydani, isbn, vytvoren, expirace, strucny_popis,".
		"	strucny_popis_en, popis, popis_en, poznamka, financovani,".
		"	licence, jazyk, zarazeni, aktivni, novinky,".
		"	povoleny, multioborovy, odpovedny_spravce,".
		"	kontaktni_osoba, modifikace,".
		" titul_extra_cz, odkaz_extra_cz, odkaz_onelog_en,".
		" odkaz_onelog_cz, rss, verde_id, pocet_stran,".
		"	aktivni_od, linker_db)".
		"	VALUES ('$ext_id', '$autori', '$titul', '$odkaz', '$producent',".
		"	'$producent_odkaz', '$vydavatel', '$vydavatel_odkaz', '$rok_vydani',".
		" '$misto_vydani', '$isbn', '$vytvoren', $expirace, '$strucny_popis',".
		"	'$strucny_popis_en', '$popis', '$popis_en', '$poznamka', '$financovani',".
		"	'$licence', '$jazyk', '$zarazeni', '$aktivni_zapis',".
		"	'$novinky_zapis',	'$povoleny', '$multioborovy',".
		"	'$odpovedny_spravce', '$kontaktni_osoba', now(),".
		" '$titul_extra_cz', '$odkaz_extra_cz', '$odkaz_onelog_en',".
		" '$odkaz_onelog_cz', '$rss_zapis', '$verde_id', '$pocet_stran',".
		" $aktivni_od, '$linker_db')";
}

// update stavajici knihy
else {
	
	if (is_locked($user, $id, $BOOK, $_SERVER['PHP_SELF']) != $pid) {
		logit($user, $_SERVER['PHP_SELF'],"Book $id is not locked!".pg_last_error(), $LOG_LCK);
		print_error_page($lang);
	}
	
	check_rights($user, $BOOK, $RGHT_EDIT, $id, $_SERVER['PHP_SELF']);

	$new=false;
	$query = "UPDATE knihy SET titul='$titul', odkaz='$odkaz', id='$ext_id',".
	 						"	autori='$autori', producent='$producent',".
							"	producent_odkaz='$producent_odkaz',".
							" vydavatel='$vydavatel', vydavatel_odkaz='$vydavatel_odkaz',".
							" rok_vydani='$rok_vydani', misto_vydani='$misto_vydani',".
							" isbn='$isbn', pocet_stran='$pocet_stran',".
							" $expirace_query".
							"	strucny_popis='$strucny_popis',".
							"	strucny_popis_en='$strucny_popis_en',".
							"	popis='$popis',".
							"	popis_en='$popis_en',".
							"	financovani='$financovani', licence='$licence',".
							"	jazyk='$jazyk', zarazeni='$zarazeni',". 
							"	aktivni='$aktivni_zapis', novinky='$novinky_zapis',".
							"	povoleny='$povoleny', multioborovy='$multioborovy',".
							" kontaktni_osoba='$kontaktni_osoba',".
							"	odpovedny_spravce='$odpovedny_spravce',".
							" kontrola_expirace='f',".
							" modifikace=now(),".
							" retrospektiva='f',".
							" titul_extra_cz='$titul_extra_cz',".
						  "	odkaz_extra_cz='$odkaz_extra_cz',".
							" odkaz_onelog_en='$odkaz_onelog_en',".
							" odkaz_onelog_cz='$odkaz_onelog_cz',".
							" verde_id='$verde_id',".
							" $aktivni_od_query".
							" linker_db='$linker_db'".
					"	WHERE kniha_id='$id'";
}

// provedeme update
$result = pg_query($query);

// if we are inserting, we need to get the source id, which is provided 
// automaticaly when we are inserting a new source
if ($id == null) {
	$query = "SELECT CURRVAL('knihy_kniha_id_seq')";
	$result = pg_query($query);
	$row = pg_fetch_array($result, NULL, PGSQL_NUM);
	$id = $row[0];

	navigation::setDefault($BOOK, 'kniha.php');
}

// zpracovani nahledu
$th_path = "";
$thimg = $_FILES['obalka']['tmp_name'];
if (is_uploaded_file($thimg)) {

	$thumb = getBookThumbnailFilePath($id, "png");

	$thparams = getThParams();

	$result = exec("$NICE_BIN -n 19 $CONVERT_BIN $thparams $thimg $WEBHOME_PREFIX$thumb");

	//$result; 
	//exit(0);

	$query = "UPDATE knihy SET nahled='$thumb' WHERE kniha_id='$id'";
	$result = pg_query($query);
}



// DODELAT!!!
// nastavime RSS u knihy
/*
if ($ENABLE_RSS_BOOKS && $povoleny == "t") {
	$rss_prefix = "";
	
	if ($rss) {
		$curr = getdate();
		$currd = $curr['mday'];
		// dojde-li ke zmene aktivace a zdroj neni novy	
		if ($prev_aktivni != $aktivni && ! $new) {
			$rss_prefix = $prev_aktivni ? " - DEAKTIVOVÁN" : " - AKTIVOVÁN"; 
			$rss_prefix_en = $prev_aktivni ? " - DEACTIVATED" : " - ACTIVATED";
		}
		else {
			if ($new || compareCurrentDate($vytvoren) == 0) {
				$rss_prefix = " - NOVÝ ";
				$rss_prefix_en = " - NEW";
			}
			else {
				$rss_prefix = " - AKTUALIZOVANÝ";
				$rss_prefix_en = " - UPDATED";
			}
		}

		if ($ENABLE_EXTRA_CZECH_TITLE) { 
			if ($nazev_extra_cz == "") {
				$title_to_rss_cz = $zkratka;
				$title_to_rss_en = $zkratka;
			}
			else {
				$title_to_rss_cz = $nazev_extra_cz;
				$title_to_rss_en = $zkratka;
			}
		}
		else {
			$title_to_rss_en = $zkratka;
			$title_to_rss_cz = $zkratka;
		}



		RSSAddItem($SOURCE, $id, $title_to_rss_cz, 
			"$MY_URL/zdroj.php?id=$id", 
			"<p>$rss_comm</p>". $info_strucne, $rss_prefix, $new, "cs");
		RSSAddItem($SOURCE, $id, $title_to_rss_en,
				"$MY_URL/zdroj.php?id=$id&lang=en", 
			 	"<p>$rss_comm_en</p>". $info_strucne_en, $rss_prefix_en, $new, "en");
		$query = "UPDATE zdroje SET rss='t' WHERE zdroj_id=$id";
		pg_query($query);
		logit($user, $THIS_SCRIPT, "User sucessfully add/update source RSS feed $id.", $LOG_ACT);
	}
}
 */

/* -------------- vlozeni knihy, hlavni cast konec ------------------------- */
/* ************************************************************************** */

// ziskame pole s obory ke kterym patri zdroj
$query = "SELECT obor_id FROM kniha_obor WHERE kniha_id = '$id'";
$result = pg_query($query);

$obory_knihy = array();
while ($row =  pg_fetch_array($result, NULL, PGSQL_NUM)) {
	array_push($obory_knihy, $row[0]);
}

$to_insert = array();
$to_delete = array();
// ziskame vsechny korenove obory
$query = "SELECT obor_id FROM obory WHERE koren='t'";
$result = pg_query($query);

// pro vsechny korenove obory over, zda-li je uzivatel zaskrtl
while ($row = pg_fetch_array($result, NULL, PGSQL_NUM)) {
	$obor_id=$row[0];

	if (issetPOST("obor$obor_id")) {
		if (! in_array($obor_id, $obory_knihy)) array_push($to_insert, $obor_id);
	}
	else {
		if (in_array($obor_id, $obory_knihy)) array_push($to_delete, $obor_id);
	}
	
	// nyni podobory
	$query = "SELECT obor_potomek FROM obor_obor". 
						" WHERE obor_rodic = '$obor_id'";
	$result_pod = pg_query($query);
	while ($row_pod = pg_fetch_array($result_pod, NULL, PGSQL_NUM)) {
		$podobor_id = $row_pod[0];
		if (issetPOST("obor$obor_id") || issetPOST("obor$podobor_id")) {
			if (! in_array($podobor_id, $obory_knihy)) 
				array_push($to_insert, $podobor_id);
		}
		else {
			if (in_array($podobor_id, $obory_knihy)) 
				array_push($to_delete, $podobor_id);
		}
	}			
} // while pres korenove obory

// nyni mame dve pole -- to_insert a to_delete

foreach($to_insert as $obor_id) {
	$query = "INSERT INTO kniha_obor (kniha_id, obor_id) VALUES ($id, $obor_id)";
	pg_query($query);
}

foreach($to_delete as $obor_id) {
	$query = "DELETE FROM kniha_obor WHERE kniha_id='$id' AND obor_id='$obor_id'";
	pg_query($query);
}

// takze jsme vlozili vsechny obory a totez provedeme s fakultami
// nejdrive pole zdroj_fakulta
$jsou_fakulty = false;
$kniha_fakulta = array();
$query = "SELECT fakulta_id FROM kniha_fakulta WHERE kniha_id = '$id'";
$result = pg_query($query);
if (($pocet_f = pg_num_rows($result)) > 0) $jsou_fakulty=true;
while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
	array_push($kniha_fakulta, $row['fakulta_id']);;
}

// projdeme fakulty
$query = "SELECT fakulta_id FROM fakulty";
$result = pg_query($query);

$to_insert = array();
$to_delete = array();
$fakulty_list = array();
while ($row = pg_fetch_array($result, NULL, PGSQL_NUM)) {
	$fakulta_id = $row[0];
	array_push($fakulty_list, $fakulta_id);
	if (issetPOST("fakulta$fakulta_id")) {
		if (! in_array($fakulta_id, $kniha_fakulta)) 
			array_push($to_insert, $fakulta_id);
	}
	else {
		if (in_array($fakulta_id, $kniha_fakulta)) 
			array_push($to_delete, $fakulta_id);
	}
}

//je-li pocet tech, co chceme smazat stejny jako pocet tech, ktere tam byly
// pak logicky zadna fakulta nebude vybrana
if (count($to_delete) == $pocet_f) $jsou_fakulty=false;
foreach($to_delete as $fakulta_id) {
	$query = "DELETE FROM kniha_fakulta". 
						" WHERE kniha_id='$id' AND fakulta_id='$fakulta_id'";
	pg_query($query);
}

if (count($to_insert) > 0) $jsou_fakulty=true;
foreach($to_insert as $fakulta_id) {
	$query = "INSERT INTO kniha_fakulta (kniha_id, fakulta_id)". 
						" VALUES ($id, $fakulta_id)";
	pg_query($query);
}

// nyni vlozime podorbne popisy k fakultam (nazev zdroje pro fakultu etc.
// je-li ovsem tato funkce zapnuta
if ($ENABLE_TITLES_BY_FACS) {

	foreach($fakulty_list as $fid) {

		$finfo = new fakulta_info($BOOK, $fid, getPOST("nazev_cs$fid"), 
		getPOST("nazev_en$fid"), 
		getPOST("odkaz_cs$fid"), getPOST("odkaz_en$fid"), 
		getPOST("odkaz_onelog_cs$fid"), 
		getPOST("odkaz_onelog_en$fid"));



		if ($finfo->is_empty()) 
			$finfo->dbdelete($id);
		else
			$finfo->dbstore($id);
	}
}
		

/*
// prepocitame pocty aktivnich a neexpirovanych zdroju ve vsech 
// oborech a fakultach
$TRANSACTION_REPEAT=true;
$opakuj=10; // zkusime provest pokus o serializaci nejvice 10x
$i=0;
do {
	$result = recountSources();
	$i++;
} while (! $result && $i<$opakuj);
if ($i == $opakuj) {
	logit($user, $_SERVER['PHP_SELF'], "Unable to recount sources! ", $LOG_ERR);
	// print_error_page($lang);
}
$TRANSACTION_REPEAT=false;
 */

// DODELAT!!!
// spustime PL/pgSQL funkce, ktere prepocitaji zdroje v oborech a fakultach
//$query = "SELECT data_recount();";
//$result = pg_query($query);


// nema-li zdroj prirazeny zadne fakulty a je-li zarazeni jen pro fakulty
// pak nepovol udelat zdroj aktivnim, protoze to je chyba
if (! $jsou_fakulty && $zarazeni == $SOURCE_MU_FACS) {
	$query = "UPDATE knihy SET aktivni = 'f' WHERE kniha_id = '$id'";
	$result = pg_query($query);
	$bad=$bad."&facs=1";
}

// nejdriv smaz existujici, dataumy porovnavat nebudeme
$query = "DELETE FROM retrospektiva_knihy WHERE kniha_id='$id'";
$result = pg_query($query);

$retrospektiva_pocet = getPOST("retrospektiva_pocet");

for($i=0; $i<$retrospektiva_pocet; $i++) {

	$retrospektiva = new retrospektiva(getPOST("deno$i"), getPOST("mesico$i"), getPOST("roko$i"), getPOST("dend$i"), getPOST("mesicd$i"), getPOST("rokd$i"), getPOST("poznamka$i"));

	$zacatek = $retrospektiva->getDbOd();
	$konec = $retrospektiva->getDbDo();
	$poznamkar = $retrospektiva->poznamka;

	if ($zacatek == "" && $konec == "") continue;
	else {
		if ($zacatek == "") $zacatek = $BOTTOM_EXPIR_TEXT;
		if ($konec == "") $konec = $TOP_EXPIR_TEXT;
	}

	if (compareCurrentDate($konec, $zacatek) < 0) {
		$bad .= "&rtrmismatch=1";
		$query = "UPDATE knihy SET povoleny='f', retrospektiva='t' WHERE kniha_id='$id'";
		$result = pg_query($query);
	}

	$query = "INSERT INTO retrospektiva_knihy (kniha_id, zacatek, konec, ".
		" poznamka) VALUES ('$id', '$zacatek', '$konec', ".
	  "	'$poznamkar')";
	$result = pg_query($query);

}

if ($ENABLE_VERDE && issetPOST("verde")) {
	logit($user, $_SERVER['PHP_SELF'], "User sucessfully loaded Verde metadata for source $id.", $LOG_ACT);
	/*
	if ($bad == "") $znak="?";
	else {
		$bad.="&bad=1";
		$bad[0]='?';
		$znak="&";
	}
	 */
	
	header("Location: edit_kniha.php?id=$id&verde=1");

	exit(0);
}

if ($bad == "") {
	if (! $new) {
		if (($lock = unlock($pid, $id, $BOOK, $_SERVER['PHP_SELF']))!=$UNLOCKED) {
			logit($user, $_SERVER['PHP_SELF'], 
				"User cannot unlock book $id ($lock)!", $LOG_LCK);
		}
	}
	logit($user, $_SERVER['PHP_SELF'], "User sucessfully update/add book $id.", $LOG_ACT);
	header("Location: kniha.php?id=$id");
}
else {
	logit($user, $_SERVER['PHP_SELF'], "User fail to update/add book $id ($bad).", 
	$LOG_UER);
	$bad.="&bad=1";
	$bad[0]='?';

	header("Location: edit_kniha.php$bad&id=$id");
}

unsetLogging($DISPLAY_ERRORS, $om);

?>
