<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");
require_once("../eizlibs/file_class.php");

$om = setLogging($DISPLAY_ERRORS);

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

$lang = "cs";

$user = getUser();

connect_db();

$userinfo = getUserInfo($user, $_SERVER['PHP_SELF']);
$pid = getPid($userinfo);
$admin = getIsAdmin($userinfo);

$objekt_id = stringEscape(getPOST("objekt_id"));
$objekt_typ = stringEscape(getPOST("objekt_typ"));

	
check_rights($user, $objekt_typ, $RGHT_EDIT, $objekt_id, $_SERVER['PHP_SELF']);


$myfile = $_FILES['soubor']['tmp_name'];
if (is_uploaded_file($myfile)) {
	$jmeno = $_FILES['soubor']['name'];

	$query = "INSERT INTO soubory (objekt_id, objekt_typ, jmeno, verejny)".
		" VALUES ($objekt_id, $objekt_typ, '$jmeno', 'f')";
	$result = pg_query($query);

	// if we are inserting, we need to get the source id, which is provided 
	// automaticaly when we are inserting a new source
	$query = "SELECT CURRVAL('soubory_soubor_id_seq')";
	$result = pg_query($query);
	$row = pg_fetch_array($result, NULL, PGSQL_NUM);
	$id = $row[0];

	$tofile = "$FILES_DIR/$id";

	move_uploaded_file($myfile, $tofile);

}

header("Location: edit_soubory.php?id=$objekt_id&typ=$objekt_typ");
unsetLogging($DISPLAY_ERRORS, $om);

?>
