<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/logging.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

if (issetPOST("zpet")) {
	header("Location: $URL_PREFIX/$AUTH_PAGE");
	exit(0);
}

// nasledujici globalni promenne je potreba deklarovat kvuli volani checkForm
$bad="";
$add_query="";
checkFormEscaped("jmeno");
checkFormEscaped("prijmeni");

$titul_pred = stringEscape(htmlEscape(getPOST("titul_pred")));
$titul_za = stringEscape(htmlEscape(getPOST("titul_za")));
$email = stringEscape(htmlEscape(getPOST("email")));

connect_db();

$query = "SELECT pid FROM spravci WHERE login='$user'";
$result = pg_query($query);
db_one_row($result, $user, $_SERVER['PHP_SELF'], "User login conflict error!", $lang);
$row = pg_fetch_array($result, NULL, PGSQL_NUM);
$pid = $row[0];

$query = "UPDATE spravci SET titul_pred='$titul_pred', $add_query".
							"	titul_za='$titul_za', email='$email' WHERE	pid='$pid'";
$result = pg_query($query);

if ($bad == "") {
	logit($user, $_SERVER['PHP_SELF'], "User sucessfully change profile.", $LOG_ACT);
	header("Location: index.php");
}
else {
	logit($user, $_SERVER['PHP_SELF'], "User fail to change the profile ($bad).", $LOG_UER);
	$bad[0]='?';
	header("Location: udaje.php$bad");
}

unsetLogging($DISPLAY_ERRORS, $om);
?>
