<?php
require_once("eizlibs/logging.php");
$om = setLogging($DISPLAY_ERRORS);

require_once("eizlibs/db_connect.php");
require_once("eizlibs/functions.php");
require_once("eizlibs/object_class.php");
require_once("eizlibs/uzivatel_class.php");

$lang=GETlang();
$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

include_once(getI18Ndefault($lang, $THIS_SCRIPT));
include_once(getI18N($lang, $THIS_SCRIPT));
include_once(getI18NnavigationDefault($lang));
include_once(getI18Nnavigationv2($lang));

connect_db();

$uzivatel = uzivatel::getShibAuth(true);
$zdroje = zdroj::getAbecedne($lang);

//navigace
$nav_bar[0]=$txt_nav_koren;
$nav_ref[0]="$URL_PREFIX/?lang=$lang";
$nav_bar[1]=$txt_nav_ezdroje;
$nav_ref[1]="$URL_PREFIX/$RESOURCES_PAGE/?lang=$lang";
$nav_bar[2]=$txt_nav;
$nav_ref[2]="$THIS_SCRIPT?lang=$lang";


htmlHeading($lang, $RESOURCES_PAGE, $DEFAULT, $THIS_SCRIPT);

menuv2($lang, $THIS_SCRIPT, "", $RESOURCES_PAGE, "");

myMain($lang, $RESOURCES_PAGE);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>$txt_nadpis</h1>\n";

echo "<div class=\"obsah\">\n\n";

// generuj abededu vcetne odkazu na zdroje 
generate_alphabetv2($lang, $zdroje);

// generuj obsah stranky
echo "\n<div class=\"seznam\">\n";

$char = 0;

foreach($zdroje as $zdroj) {

	$char = putCharAlphabet(trim($zdroj->getNazev($lang)), $char);
	$zdroj->show($lang, $uzivatel);
}

printUserLegendv2($lang);

echo "</div><!-- seznam -->\n";

echo "\n</div><!-- obsah -->\n\n";

myMainEnd();

if ($lang == "cs") setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footerv2(filectime($THIS_SCRIPT), $lang);

htmlEnd($lang);

unsetLogging($DISPLAY_ERRORS, $om);
?>
