<?php

require_once("eizlibs/functions.php");
$om = setLogging($DISPLAY_ERRORS);

require_once("eizlibs/layout.php");
require_once("eizlibs/functions.php");

$lang=GETlang();
$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

include_once(getI18Ndefault($lang, $THIS_SCRIPT));
include_once(getI18N($lang, $THIS_SCRIPT));
include_once(getI18NnavigationDefault($lang));
include_once(getI18Nnavigationv2($lang));

$remoteip=$_SERVER['REMOTE_ADDR'];

if (isIPv6($remoteip)) {
	$ipstatus = "ipv6";
	$print_result = $txt_test_ipv6;
}
else {
	$result = checkIP($remoteip);
	$ipstatus = $result ? "ip_status_good" : "ip_status_bad";
	$print_result = $result ? $txt_test_ok : $txt_test_spatne;
}

$nav_bar[0]=$txt_nav_koren;
$nav_ref[0]="$URL_PREFIX/?lang=$lang";
$nav_bar[1]=$txt_nav_vzdaleny_pristup;
$nav_ref[1]="$URL_PREFIX/$VZDALENY_PRISTUP_PAGE/?lang=$lang";
$nav_bar[2]=$txt_nav;
$nav_ref[2]=$THIS_SCRIPT."?lang=$lang";

htmlHeading($lang, $VZDALENY_PRISTUP_PAGE, $DEFAULT, $THIS_SCRIPT);

menuv2($lang, $THIS_SCRIPT, "", $VZDALENY_PRISTUP_PAGE, "");

myMain($lang, $VZDALENY_PRISTUP_PAGE);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>$txt_nadpis</h1>\n";

echo "<div class=\"obsah\">\n";

echo "<div class=\"ip_status\"><div class=\"$ipstatus\">$print_result</div></div>\n";

echo "<p>$txt_info</p>\n";

echo "<div class=\"remote_ip\">$txt_ip <span class=\"ip_adresa\">$remoteip</span></div>";

echo "</div><!-- obsah -->\n";

myMainEnd();

if ($lang == "cs") setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footerv2(filectime($THIS_SCRIPT), $lang);

htmlEnd();


unsetLogging($DISPLAY_ERRORS, $om);
?>
