#!/usr/bin/perl

use locale;

sub getconfig {
	my $input = shift;

	open(IN, $input) or die "Nelze otevrit $!";

	my @pole = ();

	while ($radek = <IN>) {
		chomp($radek);
		if (1) {
			($prom) = $radek =~ /\$([^=]*).*/;

			if ($prom =~ /.+/) { 
				#print "$prom\n"; 
				push @pole, $prom;
			}
		}
	}

	close(IN) or die "Nelze uzavrit $!\n";
	
	return sort @pole;
}

if ($#ARGV != 1) {
	print "Usage: check_config.pl <config1.php> <config2.php>\n";
	print "Compares two config files for directives missing.\n";
	exit 1;
}

my $c1=$ARGV[0];
my $c2=$ARGV[1];

my @config1 = getconfig($c1);
my @config2 = getconfig($c2);

my @test = ();
push @test, @config1, @config2;

@test = sort @test;

my @extra = ();

for ($i=0; $i < @test-1; $i++) {

	if ($test[$i] ne $test[$i+1]) {
		push @extra, $test[$i];
	}
	else {
		$i++;
	}
}

$find1 = 0;

foreach my $loc (@extra) {

	foreach(@config1) {

		if ($loc eq $_) { 
			$find1 = 1;
			print "$loc is missing in $c2\n";
			last;
		}
	}

	if (! $find1) {
		print "$loc is missing in $c1\n";
	}

	$find1 = 0;
}




#foreach(@test) {
#	print "$_\n";
#}

