<?php

require_once("../db_connect.php");

connect_db();

$stdin = fopen("php://stdin", "r");

echo "Zadejte nazev XML souboru s fakultami: ";
$file = trim(fgets($stdin, 256));

$dom = new DomDocument('1.0', 'utf-8');

if (! ($dom->load($file))) die("Nemohu otevrit soubor zdroju");

$dom->normalize();

if (! $dom->validate()) die("Nevalidni dokument");

$xp = new domxpath($dom);

$facs = $xp->query("/fakulty/fakulta");

$vals = array();

foreach ($facs as $node) {
		$i=0;
		foreach ($node->childNodes as $curr) {
			if ($curr->nodeName[0] != '#') {
				$vals[$i]=$curr->textContent;
				$i++;
			}
		}

		echo "Nazev_en: $vals[1]\n";
		echo "Zkratka: $vals[2]\n";
		echo "Url: $vals[3]\n";
		echo "********************\n\n";

/*
		$query = "INSERT INTO fakulty (nazev, nazev_en, zkratka, url) VALUES ('$vals[0]', '$vals[1]', '$vals[2]', '$vals[3]')";
		$result = pg_query($query);
		if ($result) {
			echo "Fakulta $vals[2] vlozena do databaze.\n";
		}
		else {
			die ("Chyba pri vkladani: " .pg_last_error());
		}*/
}

?>
