<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="text" encoding="utf-8" indent="yes" />

<xsl:template name="staticke">
	<xsl:text>	
	dnsDomainIs(host,"ezdroje.muni.cz") ||
	dnsDomainIs(host,"metalib.muni.cz") ||
	dnsDomainIs(host,"sfx.muni.cz") ||
	shExpMatch(url, "*phil.muni.cz/wiki*")
	</xsl:text>
</xsl:template>

<xsl:template match="/esources_IPs">

<xsl:text>
function FindProxyForURL(url, host) 
{

if (
</xsl:text>


<xsl:for-each select="esource">

	<xsl:variable name="jmeno" select="name" />
	<xsl:if test="not(contains($jmeno, '*'))">

		<xsl:if test="domain_name">
			<xsl:text>	dnsDomainIs(host,"</xsl:text>
			<xsl:value-of select="domain_name" />
			<xsl:text>") ||
</xsl:text>
		</xsl:if>
		
		<xsl:if test="top_domain_name">
			<xsl:text>	dnsDomainIs(host,"</xsl:text>
			<xsl:value-of select="top_domain_name" />
			<xsl:text>") ||
</xsl:text>
		</xsl:if>

		<xsl:if test="realnames/realname">
			<xsl:for-each select="realnames/realname">
				<xsl:text>	dnsDomainIs(host,"</xsl:text>
				<xsl:value-of select="." />
				<xsl:text>") ||
</xsl:text>
			</xsl:for-each>
		</xsl:if>

		<xsl:if test="aliases/alias">
			<xsl:for-each select="aliases/alias">
				<xsl:text>	dnsDomainIs(host,"</xsl:text>
				<xsl:value-of select="." />
				<xsl:text>") ||
</xsl:text>
			</xsl:for-each>
		</xsl:if>

	</xsl:if>

</xsl:for-each>

<xsl:call-template name="staticke" />

<xsl:text>
)
return "PROXY cache34.ics.muni.cz:5555";
else return "DIRECT";
}
</xsl:text>

</xsl:template>

</xsl:stylesheet>
