<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");

function nahrad($str) {

	return str_replace('onelog3.ruk.cuni.cz', 'ezproxy.is.cuni.cz', $str);
}	


connect_db();

$query = "SELECT zdroj_id, odkaz_onelog_cz, odkaz_onelog_en".
					" FROM zdroje";
$result = pg_query($query);
if (! $result) die("ERROR: ".pg_last_error());

if (pg_num_rows($result) > 0) {

	while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {

		$id = $row['zdroj_id'];
		$odkaz_cz = $row['odkaz_onelog_cz'];
		$odkaz_en = $row['odkaz_onelog_en'];

		if ($odkaz_cz != '') {
			$odkaz_cz = nahrad($odkaz_cz);
		}

		if ($odkaz_en != '') {
			$odkaz_en = nahrad($odkaz_en);
		}

		$upq = "UPDATE zdroje SET odkaz_onelog_cz = '$odkaz_cz',".
			" odkaz_onelog_en = '$odkaz_en' WHERE zdroj_id = '$id'";

		//pg_query($upq);
		echo "$upq\n";
	}
}

$query = "SELECT zdroj_id, fakulta_id, odkaz_onelog_cs, odkaz_onelog_en".
					" FROM zdroj_fakulta_info";
$result = pg_query($query);
if (! $result) die("ERROR: ".pg_last_error());

if (pg_num_rows($result) > 0) {

	while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {

		$id = $row['zdroj_id'];
		$fid = $row['fakulta_id'];
		$odkaz_cz = $row['odkaz_onelog_cs'];
		$odkaz_en = $row['odkaz_onelog_en'];

		if ($odkaz_cz != '') {
			$odkaz_cz = nahrad($odkaz_cz);
		}

		if ($odkaz_en != '') {
			$odkaz_en = nahrad($odkaz_en);
		}

		$upq = "UPDATE zdroj_fakulta_info SET odkaz_onelog_cs = '$odkaz_cz',".
			" odkaz_onelog_en = '$odkaz_en'". 
			" WHERE zdroj_id = '$id' AND fakulta_id = '$fid'";

		echo "$upq\n";
		//pg_query($upq);
	}
}


?>
