<?php

if ($argc != 2) {
	echo "Usage: rss_repair.php <rss_file.xml>";
	exit;
}


$doc = new DOMDocument();

$doc->load($argv[1]);

$xp = new DOMXPath($doc);

$list = $xp->query('//guid');

foreach($list as $element) {

	if ($element->hasAttribute('isPermaLink')) {
		echo "Skipping $element->textContent.\n";
	}
	else {
		echo "Repairing guid $element->textContent.\n";
		$element->setAttribute('isPermaLink', 'false');
	}
}

$doc->save($argv[1]);



?>
