<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="text" encoding="utf-8" indent="yes" />


<xsl:template match="/esources_IPs">

<xsl:for-each select="esource">

	<xsl:variable name="jmeno" select="name" />
	<xsl:if test="not(contains($jmeno, '*'))">

		<xsl:if test="domain_name">
			<xsl:value-of select="domain_name" />
			<xsl:text>
</xsl:text>
		</xsl:if>
		
		<xsl:if test="top_domain_name">
			<xsl:value-of select="top_domain_name" />
			<xsl:text>
</xsl:text>
		</xsl:if>

		<xsl:if test="realnames/realname">
			<xsl:for-each select="realnames/realname">
				<xsl:value-of select="." />
				<xsl:text>
</xsl:text>
			</xsl:for-each>
		</xsl:if>

		<xsl:if test="aliases/alias">
			<xsl:for-each select="aliases/alias">
				<xsl:value-of select="." />
				<xsl:text>
</xsl:text>
			</xsl:for-each>
		</xsl:if>

	</xsl:if>

</xsl:for-each>

</xsl:template>

</xsl:stylesheet>
